Index: branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2/COMP/orchidee_ol.card
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2/COMP/orchidee_ol.card	(revision 7364)
+++ branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2/COMP/orchidee_ol.card	(revision 7421)
@@ -11,5 +11,5 @@
 
 [BoundaryFiles]
-List=  (${R_IN}/SRF/METEO/CRU-NCEP/v5.3.2/twodeg/cruncep_twodeg_${year}.nc, forcing_file.nc)
+List=  (${R_IN}/SRF/METEO/CRUJRA/v2.2/twodeg/crujra_twodeg_v2.2_${year}.nc, forcing_file.nc)
 ListNonDel= ()
 
Index: branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2/config.card
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2/config.card	(revision 7364)
+++ branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2/config.card	(revision 7421)
@@ -15,5 +15,5 @@
 JobName=FG2
 #----- LongName : Some words describing the experiment. LongName will be added in all output files produced by XIOS.
-LongName=""
+LongName="Ref config with old driver, CRUJRA2.2 twodeg, and VEGET_UPDATE=1Y"
 TagName=OL2
 #------ SpaceName = DEVT/TEST/PROD
@@ -27,5 +27,5 @@
 #-- "YYYY-MM-DD"
 DateBegin=1901-01-01
-DateEnd=2010-12-31
+DateEnd=2001-12-31
 #============================
 #-- 1Y, 1M, 5D, 1D
Index: branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/COMP/orchideedriver.card
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/COMP/orchideedriver.card	(revision 7421)
+++ branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/COMP/orchideedriver.card	(revision 7421)
@@ -0,0 +1,34 @@
+#D-- Compatibility -
+[Compatibility]
+libIGCM=1.0
+
+[UserChoices]
+# Use XIOS as output library instead of IOIPSL
+XIOS=y
+
+[InitialStateFiles]
+List=()
+
+[BoundaryFiles]
+List=  (${R_IN}/SRF/METEO/CRUJRA/v2.2/twodeg/crujra_twodeg_v2.2_${year_m1}.nc, forcing_yearm1.nc),\
+       (${R_IN}/SRF/METEO/CRUJRA/v2.2/twodeg/crujra_twodeg_v2.2_${year}.nc, forcing_year.nc),\
+       (${R_IN}/SRF/METEO/CRUJRA/v2.2/twodeg/crujra_twodeg_v2.2_${year_p1}.nc, forcing_yearp1.nc)
+ListNonDel= ()
+
+[ParametersFiles]
+List=	(${SUBMIT_DIR}/PARAM/run.def, .) ,\
+        (${SUBMIT_DIR}/PARAM/iodef.xml, .)   ,\
+        (${MODIPSL}/modeles/ORCHIDEE/src_xml/context_orchidee.xml, .)   ,\
+        (${MODIPSL}/modeles/ORCHIDEE/src_xml/context_input_orchidee.xml, .)  ,\
+        (${MODIPSL}/modeles/ORCHIDEE/src_xml/file_def_orchidee.xml, .)  ,\
+        (${MODIPSL}/modeles/ORCHIDEE/src_xml/field_def_orchidee.xml, .)
+
+
+[RestartFiles]
+List=	(NONE)
+
+[OutputText]
+List=   (run.def, used_run.def, out_orchidee_ol, iodef.xml, context_orchidee.xml, context_input_orchidee.xml, field_def_orchidee.xml, file_def_*orchidee.xml, xios_client_*)
+
+[OutputFiles]
+List= ()
Index: branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/COMP/orchideedriver.driver
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/COMP/orchideedriver.driver	(revision 7421)
+++ branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/COMP/orchideedriver.driver	(revision 7421)
@@ -0,0 +1,124 @@
+#!/bin/ksh
+
+#-----------------------------------------------------------------
+function OOL_Initialize
+{
+    IGCM_debug_PushStack "OOL_Initialize"
+
+    IGCM_debug_PopStack "OOL_Initialize"
+}
+
+#-----------------------------------------------------------------
+function OOL_Update
+{
+    IGCM_debug_PushStack "OOL_Update"
+
+    # Set start and end date based on information from config.card
+    HumanDateBegin=$(   IGCM_date_ConvertFormatToHuman ${PeriodDateBegin} )
+    IGCM_comp_modifyDefFile nonblocker run.def START_DATE ${HumanDateBegin}" 00:00:00"
+    HumanDateEnd=$(     IGCM_date_ConvertFormatToHuman ${PeriodDateEnd} )
+    IGCM_comp_modifyDefFile nonblocker run.def END_DATE ${HumanDateEnd}" 24:00:00"
+    
+    # Set TIME_LENGTH in run.def depending on PeriodLenght in config.card
+    case ${config_UserChoices_PeriodLength} in
+	*M|*m|*D|*d)
+	    IGCM_comp_modifyDefFile nonblocker run.def TIME_LENGTH ${PeriodLengthInDays}D
+	    ;;
+	*s|*Y)
+	    IGCM_comp_modifyDefFile nonblocker run.def TIME_LENGTH ${config_UserChoices_PeriodLength}
+            ;;
+        *)
+            IGCM_debug_Exit "OOL_Update " ${config_UserChoices_PeriodLength} " invalid PeriodLength in config.card : choose between 1Y, 1M, 5D, 1D."
+            IGCM_debug_Verif_Exit
+    esac
+    
+
+    # Set TIME_SKIP only if starting without restart file
+    if ( ${FirstInitialize} && [ "${config_OOL_Restart}" = "n" ] ) ; then
+	# Calculate the TIME_SKIP as difference between the start date and 1th of January the same year
+	IGCM_comp_modifyDefFile nonblocker run.def TIME_SKIP $( IGCM_date_DaysBetweenGregorianDate ${DateBegin} ${year}0101 )D
+    else
+	# Here using restart file, set TIME_SKIP=0
+	IGCM_comp_modifyDefFile nonblocker run.def TIME_SKIP 0D
+    fi
+
+
+
+    # Set RESTART_FILEIN in run.def
+    if ( ${FirstInitialize} && [ "${config_OOL_Restart}" = "n" ] ) ; then
+	# Set RESTART_FILEIN=NONE in run.def
+	IGCM_comp_modifyDefFile blocker run.def RESTART_FILEIN NONE
+    else
+        # Default option using restart file, set RESTART_FILEIN=driver_rest_in.nc in orchidee.def
+	IGCM_comp_modifyDefFile blocker run.def RESTART_FILEIN driver_rest_in.nc
+    fi
+
+    if [ -f CO2.txt ] ; then
+        # If this file exist, then read CO2 value and set ATM_CO2 in run.def
+        IPCC_CO2=`grep Annee_${year} CO2.txt | awk -F= '{print $2}'`
+	if [ X"${IPCC_CO2}" = X ] ; then
+            # The grep returned empty variable: stop execution
+            IGCM_debug_Exit "The file CO2.txt do not contain the current year."
+            IGCM_debug_Verif_Exit
+        fi
+        IGCM_comp_modifyDefFile nonblocker run.def ATM_CO2 ${IPCC_CO2}
+    else
+	# The file is not available: take the default value from run.def. 
+	# The syntax in run.def must be respected, for example:
+        # ATM_CO2 = _AUTO_: DEFAULT = 350.
+	IGCM_comp_modifyDefFile nonblocker run.def ATM_CO2 DEFAULT
+    fi
+
+
+    # Activation of XIOS
+    if [ X${orchideedriver_UserChoices_XIOS} = Xy ] ; then
+      # Add include of orchidee context in iodef.xml
+      # In iodef.xml add on next line after "COMPONENT CONTEXT"
+      #  <context id="orchidee" src="./context_orchidee.xml"/>
+      echo '<context id="orchidee" src="./context_orchidee.xml"/>' > add.tmp
+      # Add inclusion of file context_input_orchidee.xml if this file exists
+      if [ -f context_input_orchidee.xml ] ; then
+          echo '<context id="orchidee" src="./context_input_orchidee.xml"/>' >> add.tmp
+      fi
+      cp iodef.xml iodef.xml.tmp
+      sed -e "/COMPONENT CONTEXT/r add.tmp" \
+        iodef.xml.tmp > iodef.xml
+      rm iodef.xml.tmp add.tmp
+
+
+      # Special case if SBG component is not activated: deactivate stomate output files from file_def_orchidee.xml
+      # If SBG is activated, then the stomate.driver will take care of these variables
+      if [ X${config_ListOfComponents_SBG} = X ] ; then
+          # Stomate is not activated
+          IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate1 enabled .FALSE.
+          IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate1 output_freq 1mo
+          IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate2 enabled .FALSE.
+          IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate2 output_freq 1mo      
+      fi
+    fi
+
+
+    # Add LongName as global attribute in all files produced by XIOS (if LongName is not empty)
+    # Remove file_def_input_orchidee.xml from the list. 
+    if [ ! "X${config_UserChoices_LongName}" = "X" ] ; then
+	listfile=$(ls file_def*orchidee.xml | grep -v input)
+	echo "<variable id=\"LongName\" type=\"string\">${config_UserChoices_LongName}</variable>" > add.tmp
+	for file in ${listfile} ; do
+	    cp ${file} ${file}.tmp
+	    sed -e "/<file id/r add.tmp" \
+		${file}.tmp > ${file}
+	    rm ${file}.tmp 
+	done 
+	rm add.tmp
+    fi
+          
+    IGCM_debug_PopStack "OOL_Update"
+}
+
+#-----------------------------------------------------------------
+function OOL_Finalize
+{
+    IGCM_debug_PushStack "OOL_Finalize"
+    
+    IGCM_debug_PopStack "OOL_Finalize"
+}
Index: branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/COMP/sechiba.card
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/COMP/sechiba.card	(revision 7421)
+++ branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/COMP/sechiba.card	(revision 7421)
@@ -0,0 +1,82 @@
+[Compatibility]
+libIGCM=1.0
+
+[UserChoices]
+# VEGET_UPDATE=0Y : no change in vegetation map. PFTmap.nc should be set only in InitialStateFiles/List. 
+# VEGET_UPDATE=1Y : change vegetation map every year. PFTmap.nc should be set only in BoundaryFiles/List.
+# Note that the model changed behaviour:
+# - since rev 2717 in the trunk, the map is read in January. In BoundaryFiles/List, copy the map for current year, use the variable ${year}.
+# - for older version, the map is read in December. In BoundaryFiles/List, copy the map for next coming year using the variable ${year_p1}.
+VEGET_UPDATE=1Y
+
+# Specify output level for output files
+# Only the files sechiba_history.nc, sechiba_out_2.nc and sechiba_history_4dim.nc can be set here.
+# output_level_filename=0     : lowest level writing only variables needed for the monitoring
+# output_level_filename=12    : highest level which will output all variables
+# output_level_filename=NONE  : deactivate the file
+output_level_sechiba_history = 11
+output_level_sechiba_out_2 = NONE
+output_level_sechiba_history_4dim = 11
+
+# Specify output frequency for each file [1y, 1mo, 1d, 10800s, 1ts]
+# Settings using WriteFrequency in config.card are not longer used
+output_freq_sechiba_history = 1mo
+output_freq_sechiba_out_2 = 10800s
+output_freq_sechiba_history_4dim = 1mo
+
+
+[InitialStateFiles]
+List=       (${R_IN}/SRF/ROUTING/routing.nc, .),     \
+            (${R_IN}/SRF/SOIL/soils_param.nc, .), \
+            (${R_IN}/SRF/cartepente2d_15min.nc, .), \
+            (${R_IN}/SRF/ROUTING/floodplains.nc, .), \
+            (${R_IN}/SRF/reftemp.nc, .), \
+            (${R_IN}/SRF/albedo/alb_bg_modisopt_2D_ESA_v2.nc, alb_bg.nc)
+	
+[BoundaryFiles]
+List=   (${R_IN}/SRF/PFTMAPS/CMIP6/ESA-LUH2v2/historical/15PFT.v1/PFTmap_${year}.nc, PFTmap.nc), \
+        (${R_IN}/SRF/WOODHARVEST/LUH2v2/historical/woodharvest_${year}.nc, woodharvest.nc)
+ListNonDel= ()
+
+[SmoothFiles]
+List=()
+
+[ParametersFiles]
+List=	(${SUBMIT_DIR}/PARAM/run.def, .)
+
+[RestartFiles]
+List=	(sechiba_rest_out.nc, sechiba_rest.nc, sechiba_rest_in.nc)
+
+[OutputText]
+List=   (used_run.def, out_orchidee, river_desc.nc)
+
+[OutputFiles]
+List=	(sechiba_history.nc, ${R_OUT_SRF_O_M}/${PREFIX}_1M_sechiba_history.nc, Post_1M_sechiba_history), \
+        (sechiba_history_4dim.nc, ${R_OUT_SRF_O_M}/${PREFIX}_1M_sechiba_history_4dim.nc, NONE), \
+        (sechiba_out_2.nc, ${R_OUT_SRF_O_H}/${PREFIX}_HF_sechiba_out_2.nc, NONE)
+
+
+[Post_1M_sechiba_history]
+Patches = ()
+GatherWithInternal = (lon, lat, veget, time_counter, Areas, Contfrac, time_centered, time_centered_bounds)
+TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, netrad, qair, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, tsol_max, tsol_min, drainage,mrsos, mrso, mrros, mrro, prveg, evspsblveg, evspsblsoi, tran, treeFrac, grassFrac, cropFrac, baresoilFrac, residualFrac, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing, snowmelt, LAImean, hydrographs, evapnu, Wind, lwdown, swdown)
+ChunckJob2D = 200Y
+TimeSeriesVars3D = (lai, maxvegetfrac, vegetfrac, ptn, nee, transpir, inter)
+ChunckJob3D = NONE
+Seasonal = ON
+
+# ALMAOUTPUT
+#TimeSeriesVars2D = (nobiofrac, SWnet, LWnet, Qh, Qle, Qg, Qf, DelSurfHeat, DelColdCont, Snowf, Rainf, Evap, Qs, Qsb, Qsm, DelSoilMoist, DelSWE, DelIntercept, AvgSurfT, RadT, Albedo, SWE, SoilMoist, SoilWet, SoilTemp, PotEvap, ESoil, ECanop, TVeg, RootMoist, SubSnow, ACond, SnowFrac, SAlbedo, SnowDepth, dis, GPP)
+#TimeSeriesVars3D = (ECanop, TVeg, GPP)
+
+
+[Post_HF_sechiba_out_2]
+Patches = ()
+GatherWithInternal = (lon, lat, time_counter, Areas, Contfrac, time_centered, time_centered_bounds)
+TimeSeriesVars2D = (mrsos, mrro)
+ChunckJob2D = 50Y
+TimeSeriesVars3D = (ptn)
+ChunckJob3D = 10Y
+Seasonal = OFF
+
+
Index: branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/COMP/sechiba.driver
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/COMP/sechiba.driver	(revision 7421)
+++ branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/COMP/sechiba.driver	(revision 7421)
@@ -0,0 +1,214 @@
+#!/bin/ksh
+## Driver for the component SRF corresponding to the sechiba part of ORCHIDEE
+
+#-----------------------------------------------------------------
+function SRF_Initialize
+{
+    IGCM_debug_PushStack "SRF_Initialize"
+
+    IGCM_debug_PopStack "SRF_Initialize"
+}
+
+#-----------------------------------------------------------------
+function SRF_Update
+{
+    IGCM_debug_PushStack "SRF_Update"
+
+    ## 1. Modifications in run.def parameter file
+
+    # Activate STOMATE if the compontent SBG=stomate is set in config.card
+    if [ X${config_ListOfComponents_SBG} = Xstomate ] ; then
+	# Activate stomate in run.def
+        IGCM_comp_modifyDefFile blocker run.def STOMATE_OK_STOMATE y
+    else
+	# Deactivate stomate in run.def
+	IGCM_comp_modifyDefFile blocker run.def STOMATE_OK_STOMATE n
+ 	# Deactivate output files for stomate
+        IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate1 enabled .FALSE.
+        IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate1 output_level 0
+        IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate1 output_freq 1mo
+        IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate2 enabled .FALSE.
+        IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate2 output_level 0
+        IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate2 output_freq 1mo
+    fi
+
+    # Define in run.def if restart file should be used
+    if ( [ ${CumulPeriod} -eq 1 ] && [ "${config_SRF_Restart}" = "n" ] ) ; then
+	IGCM_comp_modifyDefFile blocker run.def SECHIBA_restart_in NONE
+
+	# Check if running executable teststomate. In that case sechiba restart file is mandatory.
+	if [ -f teststomate ] ; then
+	    IGCM_debug_Print 1 "Error in launching teststomate !"
+	    IGCM_debug_Exit    "YOU MUST USE EXISTING RESTART FILE FOR SECHIBA WITH JOB TESTSTOMATE!" 
+	    IGCM_debug_Verif_Exit	    
+	fi
+    else
+	IGCM_comp_modifyDefFile blocker run.def SECHIBA_restart_in sechiba_rest_in.nc
+    fi
+
+
+    # Modify in run.def VEGET_UPDATE if it is set in sechiba.card section UserChoices
+    # VEGET_UPDATE inidcates if the vegetation map should be updated and at which frequency
+    if [ ! X${sechiba_UserChoices_VEGET_UPDATE} = X ] ; then
+	# Take the value from sechiba.card
+	IGCM_comp_modifyDefFile nonblocker run.def VEGET_UPDATE   ${sechiba_UserChoices_VEGET_UPDATE}
+    else
+        # Set default value 0Y
+        IGCM_comp_modifyDefFile nonblocker run.def VEGET_UPDATE 0Y
+    fi
+
+
+    # Activate the creation of river_desc.nc file only during the first execution in the simulation.
+    if [ ${CumulPeriod} -eq 1 ] ; then
+        IGCM_comp_modifyDefFile nonblocker run.def RIVER_DESC y
+    else
+        IGCM_comp_modifyDefFile nonblocker run.def RIVER_DESC n
+    fi
+
+
+
+    ## 2. Mangement of output and modifications of related xml files
+
+    # Set default values for sechiba1_enabled and sechiba1_freq.
+    # These variables are used only to modify file_def_orchidee.xml if XIOS=y
+    sechiba1_enabled=.FALSE.
+    sechiba2_enabled=.FALSE.
+    sechiba1_freq=0s
+    sechiba2_freq=0s
+    # These variables are used if XIOS=n
+    SECHIBA_WRITE_STEP=0
+    SECHIBA_WRITE_STEP2=0
+
+    if [ X${orchidee_ol_UserChoices_XIOS} = Xy ] ; then
+      # Activate XIOS output
+      IGCM_comp_modifyDefFile blocker run.def XIOS_ORCHIDEE_OK y
+      # Deactivate IOIPSL output
+      IGCM_comp_modifyDefFile nonblocker run.def WRITE_STEP 0
+    else
+      # Deactivate XIOS output
+      IGCM_comp_modifyDefFile blocker run.def XIOS_ORCHIDEE_OK n
+    fi
+
+    # Get WriteFrenquecy for SRF (SECHIBA) from config.card
+    # 1 or 2 frequencies can be set in WriteFrenquecy for SRF
+    # The first frequency will always be used for the sechiba_history file and the 
+    # second frequency will be used for the sechiba_out_2.nc file. 
+    # The files are activated only if its corresponding frequency is set in WriteFrequency
+    ifreq=0
+    for frequency in ${config_SRF_WriteFrequency} ; do
+	case ${frequency} in
+	    *Y|*y) 
+		NbYears=$( echo ${frequency} | awk -F '[yY]' '{print $1}' )
+		NbDaysYear=$( IGCM_date_DaysInYear ${year} )
+		file_enabled=.TRUE.
+		file_freq=${NbYears}y
+		(( file_WRITE_STEP = NbYears * NbDaysYear * 86400 )) ;;
+	    *M|*m)
+		NbMonths=$( echo ${frequency} | awk -F '[mM]' '{print $1}' )
+		file_enabled=.TRUE.
+		file_freq=${NbMonths}mo
+		# Note only 1M possible with IOIPSL!
+		file_WRITE_STEP=-1. ;;
+	    *D|*d)
+		NbDays=$( echo ${frequency} | awk -F '[dD]' '{print $1}' )
+		file_enabled=.TRUE.
+		file_freq=${NbDays}d
+ 		(( file_WRITE_STEP = NbDays * 86400 )) ;;
+	    *s)
+		WriteInSeconds=$( echo ${frequency} | awk -F '[s]' '{print $1}' )
+		file_enabled=.TRUE.
+		file_freq=${WriteInSeconds}s
+		(( file_WRITE_STEP = WriteInSeconds )) ;;
+            HF|hf) 
+		file_enabled=.TRUE. 
+		file_freq=10800s 
+		(( file_WRITE_STEP = 10800 )) ;;
+	    *) 
+		IGCM_debug_Exit "SRF_Update " ${frequency} " invalid WriteFrequency : choose in xY, xM, xD, xs and HF" 
+		IGCM_debug_Verif_Exit ;;
+	esac
+
+	(( ifreq = ifreq + 1 ))
+	case ${ifreq} in
+	    1)
+		sechiba1_enabled=${file_enabled}
+		SECHIBA_WRITE_STEP=${file_WRITE_STEP} ;;
+	    2)
+                sechiba2_enabled=${file_enabled}
+		SECHIBA_WRITE_STEP2=${file_WRITE_STEP} ;;
+            *)
+		IGCM_debug_Exit "SRF_Update: It is not possible to set more than 2 output files for sechiba from config.card"
+		IGCM_debug_Exit "You must correct WriteFrequancy in SRF secion in config.card."
+		IGCM_debug_Exit "Adapt file_def_orchidee.xml directly if you want more output files"
+		IGCM_debug_Verif_Exit ;;
+	esac
+    done
+
+    # Modify file_def_orchidee.xml if XIOS is activated
+    # Settings in config.card WriteFrequency are not used any more. The section above is only used for IOIPSL.
+    if [ X${orchidee_ol_UserChoices_XIOS} = Xy ] ; then
+	# Modify file_def_orchidee.xml file using settings from sechiba.card/orchidee.card
+	# We here suppose that for each file, in sechiba.card/orchidee.card UserChoices section, if the parameter 
+	# output_level_filename is set, then also output_freq_filename must be set. The existance of output_freq_filename will not be checked. 
+	# If output_level_filename=NONE or if it is not set, the corresponding file will be deactivated.
+
+	if [ X${sechiba_UserChoices_output_level_sechiba_history} = X ] || [ X${sechiba_UserChoices_output_level_sechiba_history} = XNONE ] ; then
+	    # output_level_sechiba_history is not set in sechiba.card or it is set to NONE.
+	    # Deactivate the file.
+	    IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml sechiba1 enabled .FALSE.
+	    IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml sechiba1 output_level 0
+	    IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml sechiba1 output_freq 1mo
+	else
+	    IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml sechiba1 enabled      .TRUE.
+	    IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml sechiba1 output_level ${sechiba_UserChoices_output_level_sechiba_history}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml sechiba1 output_freq  ${sechiba_UserChoices_output_freq_sechiba_history}
+	fi
+
+	if [ X${sechiba_UserChoices_output_level_sechiba_out_2} = X ] || [ X${sechiba_UserChoices_output_level_sechiba_out_2} = XNONE ] ; then
+	    # output_level_sechiba_out_2 is not set in sechiba.card or it is set to NONE.
+	    # Deactivate the file.
+	    IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml sechiba2 enabled .FALSE.
+	    IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml sechiba2 output_level 0
+	    IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml sechiba2 output_freq 1mo
+	else
+	    IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml sechiba2 enabled      .TRUE.
+	    IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml sechiba2 output_level ${sechiba_UserChoices_output_level_sechiba_out_2}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml sechiba2 output_freq  ${sechiba_UserChoices_output_freq_sechiba_out_2}
+	fi
+
+  	if [ X${sechiba_UserChoices_output_level_sechiba_history_4dim} = X ] || [ X${sechiba_UserChoices_output_level_sechiba_history_4dim} = XNONE ] ; then
+	    # output_level_sechiba_history_4dim is not set in sechiba.card or it is set to NONE.
+	    # Deactivate the file.
+	    IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml sechiba3 enabled .FALSE.
+	    IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml sechiba3 output_level 0
+	    IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml sechiba3 output_freq 1mo
+	else
+	    IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml sechiba3 enabled      .TRUE.
+	    IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml sechiba3 output_level ${sechiba_UserChoices_output_level_sechiba_history_4dim}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml sechiba3 output_freq  ${sechiba_UserChoices_output_freq_sechiba_history_4dim}
+	fi
+    fi
+
+
+    # Set IOIPSL output in run.def. This is done for all cases only to avoid AUTO variables during run time. 
+    IGCM_comp_modifyDefFile nonblocker run.def WRITE_STEP ${SECHIBA_WRITE_STEP}
+    IGCM_comp_modifyDefFile nonblocker run.def WRITE_STEP2 ${SECHIBA_WRITE_STEP2}
+
+    # Outputs HF in HISTFILE2 if required
+    if [ ${sechiba2_enabled} = .TRUE. ] ; then
+ 	IGCM_comp_modifyDefFile nonblocker run.def SECHIBA_HISTFILE2 y
+    else
+	IGCM_comp_modifyDefFile nonblocker run.def SECHIBA_HISTFILE2 n
+    fi
+
+
+    IGCM_debug_PopStack "SRF_Update"
+}
+
+#-----------------------------------------------------------------
+function SRF_Finalize
+{
+    IGCM_debug_PushStack "SRF_Finalize"
+
+    IGCM_debug_PopStack "SRF_Finalize"
+}
Index: branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/COMP/stomate.card
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/COMP/stomate.card	(revision 7421)
+++ branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/COMP/stomate.card	(revision 7421)
@@ -0,0 +1,63 @@
+[Compatibility]
+libIGCM=1.0
+
+[UserChoices]
+# SPINUP_ANALYTIC=y/n : Activate the spinup analytic option to solve the carbon in soil balance
+SPINUP_ANALYTIC=n
+
+# Specify output level for output files
+# Only the files stomate_history.nc and stomate_ipcc_history.nc can be set here.
+# output_level_filname=0     : lowest level writing only variables needed for the monitoring
+# output_level_filname=10    : highest level which will output all variables
+# output_level_filname=NONE  : deactivate the file
+output_level_stomate_history = 10
+output_level_stomate_ipcc_history = 1
+
+# Specify output frequency for each file [1y, 1mo, 1d]
+# Settings using WriteFrequency in config.card are not longer used
+output_freq_stomate_history = 1mo
+output_freq_stomate_ipcc_history = 1mo
+
+
+[InitialStateFiles]
+List=   ()
+
+[BoundaryFiles]
+List=	()
+ListNonDel= ()
+
+[SmoothFiles]
+List=	()
+
+[ParametersFiles]
+List=   (${R_IN}/SRF/CO2_1860_2012_TRENDY2.txt, CO2.txt)
+
+
+[RestartFiles]
+List=	(stomate_rest_out.nc, stomate_rest.nc, stomate_rest_in.nc)
+
+
+[OutputText]
+List=   ()
+
+[OutputFiles]
+List=	(stomate_history.nc, ${R_OUT_SBG_O_M}/${PREFIX}_1M_stomate_history.nc, Post_1M_stomate_history) \
+    (stomate_ipcc_history.nc, ${R_OUT_SBG_O_M}/${PREFIX}_1M_stomate_ipcc_history.nc, Post_1M_stomate_ipcc_history)
+
+[Post_1M_stomate_history]
+Patches= ()
+GatherWithInternal= (lon, lat, time_counter, Areas, CONTFRAC)
+TimeSeriesVars2D= (T2M_MONTH,RESOLUTION_X,RESOLUTION_Y,CONVFLUX,CFLUX_PROD10,CFLUX_PROD100,HARVEST_ABOVE)
+ChunckJob2D = NONE
+TimeSeriesVars3D= (LAI,VEGET_COV_MAX,NPP,GPP,HET_RESP,MAINT_RESP,GROWTH_RESP,AGE,HEIGHT,TOTAL_M,TOTAL_BM_LITTER,TOTAL_SOIL_CARB,ADAPTATION,REGENERATION,CARBON_ACTIVE,CARBON_SLOW,CARBON_PASSIVE,LITTER_STR_AB,LITTER_STR_BE,LITTER_MET_AB,LITTER_MET_BE,TOTAL_TURN,WOOD_HARVEST_PFT)
+ChunckJob3D = 100Y
+Seasonal=ON
+
+[Post_1M_stomate_ipcc_history]
+Patches= ()
+GatherWithInternal= (lon, lat, time_counter, Areas, CONTFRAC)
+TimeSeriesVars2D=(cVeg, cLitter, cSoil, cProduct, cMassVariation, lai, gpp, ra, npp, rh, fFire, fHarvest, fLuc, nbp, fVegLitter, fLitterSoil, cLeaf, cWood, cRoot, cMisc, cLitterAbove, cLitterBelow, cSoilFast, cSoilMedium, cSoilSlow, landCoverFrac, treeFracPrimDec, treeFracPrimEver, c3PftFrac, c4PftFrac, rGrowth, rMaint, nppLeaf, nppWood, nppRoot, nep, fWoodharvest)
+ChunckJob2D = NONE
+TimeSeriesVars3D=()
+ChunckJob3D = NONE
+Seasonal=ON
Index: branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/COMP/stomate.driver
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/COMP/stomate.driver	(revision 7421)
+++ branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/COMP/stomate.driver	(revision 7421)
@@ -0,0 +1,147 @@
+#!/bin/ksh
+## Driver for the component SBG corresponding to the stomate part of ORCHIDEE
+
+#-----------------------------------------------------------------
+function SBG_Initialize
+{
+    IGCM_debug_PushStack "SBG_Initialize"
+
+    IGCM_debug_PopStack "SBG_Initialize"
+}
+
+#-----------------------------------------------------------------
+function SBG_Update
+{
+    IGCM_debug_PushStack "SBG_Update"
+
+    # For IOIPSL: get frequency from config.card
+    # Set default values for stomate output files.
+    # These variables are used only to modify file_def_orchidee.xml if XIOS=y
+    stomate_enabled=.FALSE.
+    stomate_freq=0s
+
+    # Read WriteFrequency set in config.card section SBG. 
+    # Only one choice can be set as WriteFrequency. The same choice will be used for 
+    # both stomate_history and stomate_ipcc_history files. 
+    case ${config_SBG_WriteFrequency} in
+	*Y|*y) 
+	    NbYears=$( echo ${config_SBG_WriteFrequency} | awk -F '[yY]' '{print $1}' )
+	    NbDaysYear=$( IGCM_date_DaysInYear ${year} )
+            stomate_enabled=.TRUE.
+            stomate_freq=${NbYears}y
+	    (( STOMATE_WRITE_STEP = NbYears * NbDaysYear )) 
+        ;;
+	*M|*m) 
+	    NbMonths=$( echo ${config_SBG_WriteFrequency} | awk -F '[mM]' '{print $1}' )
+            stomate_enabled=.TRUE.
+            stomate_freq=${NbMonths}mo
+	    # Note only 1M possible with IOIPSL!
+	    STOMATE_WRITE_STEP=-1. ;;
+	*D|*d)
+	    NbDays=$( echo ${config_SBG_WriteFrequency} | awk -F '[dD]' '{print $1}' )
+            stomate_enabled=.TRUE.
+            stomate_freq=${NbDays}d
+	    STOMATE_WRITE_STEP=${NbDays} ;;
+    esac
+
+    # Modify file_def_orchidee.def if XIOS is activated using information in stomate.card
+    # Settings in config.card WriteFrequency are not used any more.
+    if [ X${orchidee_ol_UserChoices_XIOS} = Xy ] ; then
+
+	# Modify file_def_orchidee.xml file using settings from stomate.card
+	# We here suppose that for each file, in stomate.card UserChoices section, if the parameter 
+	# output_level_filename is set, then also output_freq_filename must be set. The existance of output_freq_filename will not be checked. 
+	# If output_level_filename=NONE or if it is not set, the corresponding file will be deactivated.
+
+	if [ X${stomate_UserChoices_output_level_stomate_history} = X ] || [ X${stomate_UserChoices_output_level_stomate_history} = XNONE ] ; then
+	    # output_level_stomate_history is not set in stomate.card or it is set to NONE.
+	    # Deactivate the file.
+	    IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate1 enabled .FALSE.
+	    IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate1 output_level 0
+	    IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate1 output_freq 1mo
+	else
+	    IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate1 enabled      .TRUE.
+	    IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate1 output_level ${stomate_UserChoices_output_level_stomate_history}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate1 output_freq  ${stomate_UserChoices_output_freq_stomate_history}
+	fi
+
+	if [ X${stomate_UserChoices_output_level_stomate_ipcc_history} = X ] || [ X${stomate_UserChoices_output_level_stomate_ipcc_history} = XNONE ] ; then
+	    # output_level_stomate_ipcc_history is not set in stomate.card or it is set to NONE.
+	    # Deactivate the file.
+	    IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate2 enabled .FALSE.
+	    IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate2 output_level 0
+	    IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate2 output_freq 1mo
+	else
+	    IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate2 enabled      .TRUE.
+	    IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate2 output_level ${stomate_UserChoices_output_level_stomate_ipcc_history}
+	    IGCM_comp_modifyXmlFile nonblocker file_def_orchidee.xml stomate2 output_freq  ${stomate_UserChoices_output_freq_stomate_ipcc_history}
+	fi
+
+
+
+        # Deactivate stomate IOIPSL output
+	(( STOMATE_WRITE_STEP = 0 ))
+    fi
+
+
+    if [ X${stomate_UserChoices_SPINUP_ANALYTIC} = Xy ] ; then
+       IGCM_comp_modifyDefFile nonblocker run.def SPINUP_ANALYTIC y
+      
+       # Test if CyclicBegin and CyclicEnd is set in config.card
+       if ( [ X${config_UserChoices_CyclicBegin} = X ] || [ X${config_UserChoices_CyclicEnd} = X ] ) ; then
+           IGCM_debug_Exit "CyclicBegin and CyclicEnd must be set in config.card to run option spinup_analytic."
+       fi
+       # Calculate and set number of years of forcing data
+       CycleNb=$(( ${config_UserChoices_CyclicEnd} - ${config_UserChoices_CyclicBegin} + 1 ))
+       IGCM_comp_modifyDefFile nonblocker run.def SPINUP_PERIOD ${CycleNb}
+    else
+	IGCM_comp_modifyDefFile nonblocker run.def SPINUP_ANALYTIC n
+	IGCM_comp_modifyDefFile nonblocker run.def SPINUP_PERIOD -1
+    fi
+
+    IGCM_comp_modifyDefFile nonblocker run.def STOMATE_HIST_DT ${STOMATE_WRITE_STEP}
+    IGCM_comp_modifyDefFile nonblocker run.def STOMATE_IPCC_HIST_DT ${STOMATE_WRITE_STEP}
+
+    if ( [ ${CumulPeriod} -eq 1 ] && [ "${config_SBG_Restart}" = "n" ] ) ; then
+	echo "STOMATE : without restart"
+	IGCM_comp_modifyDefFile blocker run.def STOMATE_RESTART_FILEIN NONE
+    else
+	IGCM_comp_modifyDefFile blocker run.def STOMATE_RESTART_FILEIN stomate_rest_in.nc
+    fi
+
+
+    # Special case using forcesoil executable
+    if [ -f forcesoil ] ; then
+	# Set STOMATE_CFORCING_NAME
+        IGCM_comp_modifyDefFile nonblocker run.def STOMATE_CFORCING_NAME stomate_Cforcing.nc
+
+	# Check if restart file is missing
+	if ( [ ${CumulPeriod} -eq 1 ] && [ "${config_SBG_Restart}" = "n" ] ) ; then
+            IGCM_debug_Exit "YOU MUST USE OLD STOMATE RESTART FILE WITH THE JOB FORCESOIL."
+            IGCM_debug_Verif_Exit
+	fi
+    else
+	IGCM_comp_modifyDefFile nonblocker run.def STOMATE_CFORCING_NAME NONE
+    fi
+
+    IGCM_debug_PopStack "SBG_Update"
+}
+
+#-----------------------------------------------------------------
+function SBG_Finalize
+{
+    IGCM_debug_PushStack "SBG_Finalize"
+
+#   Check if equilibrium is reached for spinup analytic
+#   and if true stop the simulation in the end of this period.
+    if [ X${stomate_UserChoices_SPINUP_ANALYTIC} = Xy ] ; then
+      CondSpinup=$(grep -a  "Equilibrium for carbon pools is reached"  out_*)
+      if [ X"${CondSpinup}" != X ] ; then
+	  IGCM_debug_Print 1 "SPINUP ANALYTIC :  your spinup is successful :"
+	  IGCM_debug_Print 1 ${CondSpinup}
+	  IGCM_debug_Print 1  "You can now stop the simulation if you want."
+      fi
+    fi
+
+    IGCM_debug_PopStack "SBG_Finalize"
+}
Index: branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/COMP/xios.card
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/COMP/xios.card	(revision 7421)
+++ branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/COMP/xios.card	(revision 7421)
@@ -0,0 +1,29 @@
+[Compatibility]
+libIGCM=1.0
+
+[UserChoices]
+
+[InitialStateFiles]
+List=	()
+
+[BoundaryFiles]
+List=	()
+ListNonDel= ()
+
+[SmoothFiles]
+List=	()
+
+[ParametersFiles]
+List=	()
+
+[RestartFiles]
+List=	(NONE)
+
+[OutputText]
+List=   ()
+
+[OutputFiles]
+List=   ()
+
+
+
Index: branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/COMP/xios.driver
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/COMP/xios.driver	(revision 7421)
+++ branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/COMP/xios.driver	(revision 7421)
@@ -0,0 +1,40 @@
+#!/bin/ksh
+#-----------------------------------
+function IOS_Initialize
+{ 
+    IGCM_debug_PushStack "IOS_Initialize"
+
+    echo INITIALIZE IOS !!!
+
+    IGCM_debug_PopStack "IOS_Initialize"
+}
+
+#-----------------------------------
+function IOS_Update
+{
+    IGCM_debug_PushStack "IOS_Update"
+
+    echo UPDATE IOS !!!
+# Activate server mode
+    IGCM_comp_modifyXmlFile force iodef.xml using_server NONE true
+# If lmdz_UserChoices_XIOS=y add LMDZ as component id :
+    if [ X${lmdz_UserChoices_XIOS}  = Xy ] ; then
+	IGCM_comp_modifyXmlFile force iodef.xml oasis_codes_id NONE LMDZ,oceanx
+    fi 
+    if [ -f namcouple ] ; then
+	sed -e "s/2  LMDZ oceanx/3 LMDZ oceanx ${config_Executable_IOS[1]}/" namcouple > namcouple.tmp 
+	IGCM_sys_Mv namcouple.tmp namcouple
+    fi
+
+    IGCM_debug_PopStack "IOS_Update"
+}
+
+#-----------------------------------
+function IOS_Finalize
+{
+    IGCM_debug_PushStack "IOS_Finalize"
+
+    echo FINALIZE IOS !!!
+
+    IGCM_debug_PopStack "IOS_Finalize"
+}
Index: branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/PARAM/iodef.xml
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/PARAM/iodef.xml	(revision 7421)
+++ branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/PARAM/iodef.xml	(revision 7421)
@@ -0,0 +1,1 @@
+link iodef_xios2.xml
Index: branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/PARAM/iodef_xios1.xml
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/PARAM/iodef_xios1.xml	(revision 7421)
+++ branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/PARAM/iodef_xios1.xml	(revision 7421)
@@ -0,0 +1,32 @@
+<?xml version="1.0"?>
+<!-- =========================================================================================================== -->
+<!-- iodef.xml : Configuration file for production of output files using XIOS 1.0                                    -->
+<!--             This file contains the context XIOS.                                                            -->
+<!--             The model components context will be add automatically by the comp.driver                       -->
+<!-- =========================================================================================================== -->
+
+<simulation>
+
+  <!-- =========================================================================================================== -->
+  <!-- XIOS context                                                                                                -->
+  <!-- =========================================================================================================== -->
+  <context id="xios">
+
+    <variable_definition>
+	
+     <!-- We must have buffer_size > jpi*jpj*jpk*8 (with jpi and jpj the subdomain size) -->
+	  <variable id="buffer_size"               type="integer">15000000</variable>
+	  <variable id="buffer_server_factor_size" type="integer">2</variable>
+	  <variable id="info_level"                type="integer">1</variable>
+	  <variable id="using_server"              type="boolean">false</variable>
+	  <variable id="using_oasis"               type="boolean">false</variable>
+	  <variable id="oasis_codes_id"            type="string" >oceanx</variable>
+	
+      </variable_definition>
+               
+  </context>
+
+  <!-- =========================================================================================================== -->
+  <!-- COMPONENT CONTEXT : the model components context will be add automatically by the comp.driver               -->
+  
+</simulation>
Index: branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/PARAM/iodef_xios2.xml
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/PARAM/iodef_xios2.xml	(revision 7421)
+++ branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/PARAM/iodef_xios2.xml	(revision 7421)
@@ -0,0 +1,29 @@
+<?xml version="1.0"?>
+<!-- =========================================================================================================== -->
+<!-- iodef.xml : Configuration file for production of output files using XIOS 2.0                                    -->
+<!--             This file contains the context XIOS.                                                            -->
+<!--             The model components context will be add automatically by the comp.driver                       -->
+<!-- =========================================================================================================== -->
+
+<simulation>
+
+  <!-- =========================================================================================================== -->
+  <!-- XIOS context                                                                                                -->
+  <!-- =========================================================================================================== -->
+  <context id="xios">
+
+    <variable_definition>
+	
+	  <variable id="info_level"                type="int">1</variable>
+	  <variable id="using_server"              type="bool">false</variable>
+	  <variable id="using_oasis"               type="bool">false</variable>
+	  <variable id="oasis_codes_id"            type="string" >oceanx</variable>
+	
+      </variable_definition>
+               
+  </context>
+
+  <!-- =========================================================================================================== -->
+  <!-- COMPONENT CONTEXT : the model components context will be add automatically by the comp.driver               -->
+  
+</simulation>
Index: branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/PARAM/run.def
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/PARAM/run.def	(revision 7421)
+++ branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/PARAM/run.def	(revision 7421)
@@ -0,0 +1,153 @@
+# $HeadURL: svn://forge.ipsl.jussieu.fr/orchidee/branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2/PARAM/run.def $
+# $Date: 2018-04-25 18:07:32 +0200 (Wed, 25 Apr 2018) $
+# $Revision: 5221 $
+
+#**************************************************************************
+#           Suggested parameter set up for ORCHIDEE 2.0
+# See all optional parameters in modipsl/modeles/ORCHIDEE/orchidee.default
+#
+# Note when running with libIGCM, variables set here to _AUTOBLOCKER_ can 
+# not be changed in run.def otherwwise the simulation will stop. Variables 
+# set to _AUTO_ can be changed from the comp.card but they can also be 
+# changed directly in the run.def. A value set in run.def can never be
+# changed again by libIGCM. 
+#**************************************************************************
+
+# For new driver with CRUJRA2.2 (SPREAD_PREC8SEC=half forcing timestep by default)
+#*****************************************************************************
+DT_SECHIBA = 1800
+GRID_FILE = NONE
+# Deactivate river routing as not working with CRUJRA (default y)
+RIVER_ROUTING = n
+
+# Activate Stomate component (default y)
+STOMATE_OK_STOMATE = _AUTOBLOCKER_ 
+
+# Time length for one intergration (default full lenght of forcing file)
+TIME_LENGTH = _AUTO_
+
+# Parameters related to the restart file and the start date
+#**************************************************************************
+# Time in the forcing file at which the model start if start date is not set by the forcing file (default 0)
+TIME_SKIP = _AUTO_
+
+# If DRIVER_reset_time=y, read the year from forcing file instead of taking it from restart file (default n)
+DRIVER_reset_time = _AUTO_
+
+# Name of restart file for the driver (default NONE)
+RESTART_FILEIN = _AUTOBLOCKER_
+
+# Name of restart file for sechiba part of the model (default NONE)
+SECHIBA_restart_in = _AUTOBLOCKER_
+
+# Name of restart file for stomate part of the model (default NONE)
+STOMATE_RESTART_FILEIN = _AUTOBLOCKER_
+
+# Parameters related to the diagnostic output files
+#**************************************************************************
+# Use XIOS for writing diagnostics file (defulat y)
+XIOS_ORCHIDEE_OK = _AUTOBLOCKER_
+
+# Flag to activate sechiba_out_2.nc history file when using IOIPSL for SECHIBA (defulat n)
+SECHIBA_HISTFILE2 = _AUTO_
+
+# Writefrequency in seconds in sechiba_history.nc when using IOIPSL (default 86400)
+# If WRITE_STEP=0 then all IOIPSL output are deactivated
+WRITE_STEP = _AUTO_
+
+# Writefrequency in seconds sechiba_out_2.nc when using IOIPSL (default 1800)
+WRITE_STEP2 = _AUTO_ 
+
+# Writefrequency in days in stomate_history.nc when using IOIPSL (default 10)
+STOMATE_HIST_DT = _AUTO_
+
+# Writefrequency in days or -1 for monthly output in stomate_ipcc_history.nc when using IOIPSL (default 0)
+STOMATE_IPCC_HIST_DT = _AUTO_
+
+# Print level for text output in out_orchidee_*
+# PRINTLEV = 1 : some output in initialization phase
+# PRINTLEV = 2 : more output in initialization phase and printing of new date
+# PRINTLEV = 3, 4,.. : more output also at each timestep
+PRINTLEV=2
+
+# Hydrology parameters
+#**************************************************************************
+# Activate the multi-layer diffusion scheme adapted from CWRR (default y)
+HYDROL_CWRR = y
+
+# Activate creation of river_desc.nc file
+# RIVER_DESC will be activated only the first execution in the simulation
+RIVER_DESC = _AUTO_
+
+# SOILTYPE_CLASSIF :  Type of classification used for the map of soil types (default zobler)
+SOILTYPE_CLASSIF = zobler 
+
+# Parameters related to vegetation map
+#**************************************************************************
+# Update vegetation frequency (default 0Y)
+VEGET_UPDATE = _AUTO_
+
+# Read lai map (default n)
+LAI_MAP = n
+
+# Prescribed vegetation (default n)
+IMPOSE_VEG = n
+
+# Parameters related to surface and thermal physical properties
+#************************************************************************
+# ROUGH_DYN : Account for a dynamic roughness height (activation of Su et al. parametrization) (default y)
+ROUGH_DYN=y
+
+# OK_FREEZE :  Activate the complet soil freezing scheme (default y)
+OK_FREEZE=y
+
+# OK_EXPLICITSNOW :  Activate explict snow scheme (default y)
+OK_EXPLICITSNOW=y
+
+# Carbon related parameters
+#**************************************************************************
+# Analytic spinup (default n)
+SPINUP_ANALYTIC = _AUTO_
+SPINUP_PERIOD = _AUTO_
+
+# Value for atmospheric CO2 (default=350)
+ATM_CO2 = _AUTO_: DEFAULT = 350.
+
+# Activate harvest of wood (default y)
+DO_WOOD_HARVEST=y
+
+# Deactivate fire (default FIRE_DISABLE=y)
+FIRE_DISABLE=y
+
+# Optimized parameters to be used with PFTmap with 15 pfts such as
+# files in IGCM/SRF/PFTMAPS/CMIP6/ESA-LUH2v2/historical/15PFT.v1
+#**************************************************************************
+# Use 15 PFTs. Note that PFTmap.nc must contains 15PFTs.
+# PFT=10, 14 and 15 share the same parametrization except for VCMAX25, LAI_MAX, FRAC_GROWTHRESP, 
+# MAINT_RESP_SLOPE_C and ALWAYS_INIT specified below.  
+# (default NVM=13)
+NVM=15
+PFT_TO_MTC=1,2,3,4,5,6,7,8,9,10,11,12,13,10,10
+PFT_NAME__10='temperate C3           grass      '
+PFT_NAME__14='tropical  C3           grass      '
+PFT_NAME__15='boreal    C3           grass      '
+
+VCMAX25__10 = 50.0 
+VCMAX25__14 = 50.0 
+VCMAX25__15 = 40.0
+
+LAI_MAX__10 = 2.5
+LAI_MAX__14 = 2.5
+LAI_MAX__15 = 2.0
+
+FRAC_GROWTHRESP__10 = 0.28
+FRAC_GROWTHRESP__14 = 0.35
+FRAC_GROWTHRESP__15 = 0.35
+
+MAINT_RESP_SLOPE_C__10 = 0.16
+MAINT_RESP_SLOPE_C__14 = 0.12
+MAINT_RESP_SLOPE_C__15 = 0.25
+
+ALWAYS_INIT__10 = y
+ALWAYS_INIT__14 = n
+ALWAYS_INIT__15 = y
Index: branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/POST/monitoring01_sechiba.cfg
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/POST/monitoring01_sechiba.cfg	(revision 7421)
+++ branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/POST/monitoring01_sechiba.cfg	(revision 7421)
@@ -0,0 +1,60 @@
+##################################################################################################################
+# $HeadURL: svn://forge.ipsl.jussieu.fr/orchidee/branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2/POST/monitoring01_sechiba.cfg $
+# $Date: 2018-11-21 10:56:15 +0100 (Wed, 21 Nov 2018) $
+# $Revision: 5612 $
+#
+#-----------------------------------------------------------------------------------------------------------------
+#  field | files patterns | files additionnal | operations | title | units | calcul of area
+#-----------------------------------------------------------------------------------------------------------------
+#
+#   field = name of the field to monitore 
+#   files patterns = pattern of the files used to monitore the field (must be discriminant) 
+#   files additionnal = additionnal files accessible by $FER_DATA
+#   operations = operations to calculate the field 
+#   title = variable title
+#   units = variable units
+#   calcul of area = expression to use for the weight average
+#
+# Notes:
+#   - Comment lines begin by # character.
+#   - Separator between fields is | character.
+#   - Operations must use the ferret syntax, if several files are used precise with the syntax d=x to refer to the x dataset.
+#     They must be enclosed by parenthesis if more than one variable is used.
+#   - files patterns,files additionnal,operations,title,units must be enclosed with character ". 
+#     Use "" if empty.
+#   - Fields will be presented through an html page with thumbnails global, north, south, land, ocean.
+#     Use a field name with one of these pattern to display it under the corresponding thumbnail.
+#
+##################################################################################################################
+
+color=E7FFAB
+smooth=12
+#------------------------------------------------------------------------------------------------------------------------------------------------------
+#  field | files patterns | files additionnal | operations | title | units | calcul of area
+#------------------------------------------------------------------------------------------------------------------------------------------------------
+delta_water_stock | "nobiofrac DelSoilMoist_daily DelIntercept_daily DelSWE_daily delstock_routing_daily" |  "" | "((1-nobiofrac[d=1,l=2:100000])*DelSoilMoist_daily[d=2,l=2:100000] + DelIntercept_daily[d=3,l=2:100000] + DelSWE_daily[d=4,l=2:100000] + delstock_routing_daily[d=5,l=2:100000])" | "Change in total water stock (LANDS) " | "kg/day/m2 of land" | "Areas[d=2]*Contfrac[d=2]"
+water_budget_closure | "nobiofrac DelSoilMoist_daily DelIntercept_daily DelSWE_daily delstock_routing_daily rain snowf evap riverflow coastalflow" | "" | "(((1-nobiofrac[d=1,l=2:100000])*DelSoilMoist_daily[d=2,l=2:100000] + DelIntercept_daily[d=3,l=2:100000] + DelSWE_daily[d=4,l=2:100000] +  delstock_routing_daily[d=5,l=2:100000])*Areas[d=1]*Contfrac[d=1] -  ((rain[d=6,l=2:100000] + snowf[d=7,l=2:100000] - evap[d=8,l=2:100000])*Areas[d=1]*Contfrac[d=1]  - (riverflow[d=9,l=2:100000] + coastalflow[d=10,l=2:100000])*1000*86400 ))/(4*3.14*6370000*6370000*0.26)" | "Water budget closure (LANDS) " | "kg/day/m2 of land" | "2"
+twbr_lands       | "TWBR"             |  "" | "twbr[d=1,l=2:100000]*86400"       | "Hydrol water buget residu (LANDS)" | "kg/m^2/d" | "Areas[d=1]*Contfrac[d=1]"
+temp_sol_lands   | "temp_sol"         |  "" | "temp_sol[d=1]"                    | "TSOL (LANDS)"                      | "C"        | "Areas[d=1]*Contfrac[d=1]"
+fluxsens_lands   | "fluxsens"         |  "" | "fluxsens[d=1]"                    | "Sensible Flux (LANDS)"             | "W/m^2"    | "Areas[d=1]*Contfrac[d=1]"
+evap_lands       | "evap"             |  "" | "evap[d=1]"                        | "Evaporation (LANDS)"               | "mm/d"     | "Areas[d=1]*Contfrac[d=1]"
+evapnu_lands     | "evapnu"           |  "" | "evapnu[d=1]"                      | "Soil evaporation (LANDS)"          | "mm/d"     | "Areas[d=1]*Contfrac[d=1]"
+transpir_lands   | "transpir"         |  "" | "transpir[d=1,k=@sum]"             | "Transpiration (sum over all PFT, LANDS)" | "mm/d" | "Areas[d=1]*Contfrac[d=1]"
+subli_lands      | "subli"            |  "" | "subli[d=1]"                       | "Sublimation (LANDS)"               | "mm/d"     | "Areas[d=1]*Contfrac[d=1]"
+snow_swe_lands   | "frac_snow snow"   |  "" | "snow[d=2]"                        | "Snow Mass (LANDS)"                 | "kg/m^2"   | "Areas[d=2]*Contfrac[d=2]"
+snownobio_lands  | "snownobio"        |  "" | "snownobio[d=1]"                   | "Snow Other Surfaces (LANDS)"       | "kg/m^2"   | "Areas[d=1]*Contfrac[d=1]"
+snowf_lands      | "snowf"            |  "" | "snowf[d=1]"                       | "Snowfall (LANDS)"                  | "mm/d"     | "Areas[d=1]*Contfrac[d=1]"
+precip_lands     | "rain snowf"       |  "" | "rain[d=1] + snowf[d=2]"           | "Total precipitaion (LANDS)"        | "mm/d"     | "Areas[d=1]*Contfrac[d=1]"
+runoff_lands     | "runoff"           |  "" | "runoff[d=1]"                      | "Surface runoff  (LANDS)"           | "kg/m^2"   | "Areas[d=1]*Contfrac[d=1]"
+drainage_lands   | "drainage"         |  "" | "drainage[d=1]"                    | "Drainage  (LANDS)"                 | "kg/m^2"   | "Areas[d=1]*Contfrac[d=1]"
+humidity_lands   | "mrso"             |  "" | "mrso[d=1]"                        | "Total Soil Moisture  (LANDS)"      | "kg/m^2"   | "Areas[d=1]*Contfrac[d=1]"
+surface_humidity_lands | "mrsos"      |  "" | "mrsos[d=1]"                       | "Top 10cm soil moisture  (LANDS)"   | "kg/m^2"   | "Areas[d=1]*Contfrac[d=1]"
+albedo_lands     | "alb_vis alb_nir"  |  "" | "((alb_vis[d=1]+alb_nir[d=2])*0.5)"| "Mean Albedo (LANDS)"               | "1"        | "Areas[d=1]*Contfrac[d=1]"
+lai_lands        | "LAImean"          |  "" | "LAImean[d=1]"                     | "LAI (mean excluding PFT=1) (LANDS)"| "1"        | "Areas[d=1]*Contfrac[d=1]"
+nee_lands        | "nee maxvegetfrac" |  "" | "(nee[d=1]*365*86400*maxvegetfrac[d=2]*Areas[d=1]*Contfrac[d=1]/1e15)"   | "Net Ecosystem Exchange" | "PgC/yr" | "2"
+maxvegetagri_forcing | "maxvegetfrac" |  "" | "maxvegetfrac[d=1,K=12:13@sum]"    | "veget_max fraction of agriculture [sum of pft=12,13] "| "1"  | "Areas[d=1]*Contfrac[d=1]"
+maxvegetbare_forcing | "maxvegetfrac" |  "" | "maxvegetfrac[d=1,K=1]"            | "veget_max fraction on bare soil [pft=1] "             | "1"  | "Areas[d=1]*Contfrac[d=1]"
+vegetn_lands     | "vegetfrac"        |  "" | "vegetfrac[d=1,K=2:9@sum]"         | "veget trees[sum of pft=2:9] (LANDS)"                  | "1"  | "Areas[d=1]*Contfrac[d=1]"
+vegetg_lands     | "vegetfrac"        |  "" | "vegetfrac[d=1,K=10:11@sum]+vegetfrac[d=1,K=14:15@sum]"       | "veget natural grasses[sum of pft=10,11,14,15] (LANDS)"      | "1"  | "Areas[d=1]*Contfrac[d=1]"
+vegeta_lands     | "vegetfrac"        |  "" | "vegetfrac[d=1,K=12:13@sum]"       | "veget agriculture [sum of pft=12,13] (LANDS)"         | "1"  | "Areas[d=1]*Contfrac[d=1]"
+
Index: branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/POST/monitoring01_sechiba_LAND_USE_and_LAI_PFTs.cfg
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/POST/monitoring01_sechiba_LAND_USE_and_LAI_PFTs.cfg	(revision 7421)
+++ branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/POST/monitoring01_sechiba_LAND_USE_and_LAI_PFTs.cfg	(revision 7421)
@@ -0,0 +1,69 @@
+#**************************************************************
+# Author: Patrick Brockmann
+# Contact: Patrick.Brockmann@cea.fr
+# $Date: 2011-07-20 14:20:31 +0200 (Wed, 20 Jul 2011) $
+# $Name$
+# $Revision: 334 $
+# History:
+# Modification:
+#**************************************************************
+
+##################################################################################################################
+#-----------------------------------------------------------------------------------------------------------------
+#  field | files patterns | files additionnal | operations | title | units | calcul of area
+#-----------------------------------------------------------------------------------------------------------------
+#
+#   field = name of the field to monitore 
+#   files patterns = pattern of the files used to monitore the field (must be discriminant) 
+#   files additionnal = additionnal files accessible by $FER_DATA
+#   operations = operations to calculate the field 
+#   title = variable title
+#   units = variable units
+#   calcul of area = expression to use for the weight average
+#
+# Notes:
+#   - Comment lines begin by # character.
+#   - Separator between fields is | character.
+#   - Operations must use the ferret syntax, if several files are used precise with the syntax d=x to refer to the x dataset.
+#     They must be enclosed by parenthesis if more than one variable is used.
+#   - files patterns,files additionnal,operations,title,units must be enclosed with character ". 
+#     Use "" if empty.
+#   - Fields will be presented through an html page with thumbnails global, north, south, land, ocean.
+#     Use a field name with one of these pattern to display it under the corresponding thumbnail.
+#
+##################################################################################################################
+
+color=E7FFAB
+smooth=12
+#------------------------------------------------------------------------------------------------------------------------------------------------------
+#  field | files patterns | files additionnal | operations | title | units | calcul of area
+#------------------------------------------------------------------------------------------------------------------------------------------------------
+evap_lands     | "evap"            |  ""               | "evap[d=1]"                      | "Evaporation (LANDS)"          | "mm/d"   | "Areas[d=1]*Contfrac[d=1]"
+temp_sol_lands | "temp_sol"        |  ""               | "temp_sol[d=1]"                  | "TSOL (LANDS)"                 | "K/d"    | "Areas[d=1]*Contfrac[d=1]"
+humidity_lands | "bqsb gqsb"       |  ""               | "(bqsb[d=1]+gqsb[d=2])"            | "Total Soil Moisture  (LANDS)" | "1"      | "Areas[d=1]*Contfrac[d=1]"
+fluxsens_lands | "fluxsens"        |  ""               | "fluxsens[d=1]"                  | "Sensible Flux (LANDS)"        | "W/m^2"  | "Areas[d=1]*Contfrac[d=1]"
+albedo_lands   | "alb_vis alb_nir" |  ""               | "((alb_vis[d=1]+alb_nir[d=2])*0.5)"| "Mean Albedo (LANDS)"          | "1"      | "Areas[d=1]*Contfrac[d=1]"
+subli_lands    | "subli"           |  ""               | "subli[d=1]"                     | "Sublimation (LANDS)"          | "mm/d"   | "Areas[d=1]*Contfrac[d=1]"
+snow_lands     | "snow"            |  ""               | "snow[d=1]"                      | "Snow Mass (LANDS)"            | "kg/m^2" | "Areas[d=1]*Contfrac[d=1]"
+snownobio_lands | "snownobio"      |  ""               | "snownobio[d=1]"                 | "Snow Other Surfaces (LANDS)"  | "kg/m^2" | "Areas[d=1]*Contfrac[d=1]"
+snowf_lands    | "snowf"           |  ""               | "snowf[d=1]"                     | "Snowfall (LANDS)"             | "mm/d"   | "Areas[d=1]*Contfrac[d=1]"
+vegetn_lands   | "vegetfrac"       |  ""               | "vegetfrac[d=1,K=2:9]"           | "veget natural (LANDS)"        | "1"      | "2"
+vegetg_lands   | "vegetfrac"       |  ""               | "vegetfrac[d=1,K=10:11]"         | "veget natural grass (LANDS)"  | "1"      | "2"
+vegeta_lands   | "vegetfrac"       |  ""               | "vegetfrac[d=1,K=12:13]"         | "veget agriculture (LANDS)"    | "1"      | "2"
+maxveget_lands | "maxvegetfrac"    |  ""               | "maxvegetfrac[d=1,K=12:13]"      | "vegetmax[pft=12,13] (LANDS)"      | "1"      | "2"
+maxveget_forcing | "maxvegetfrac"   |  ""              | "((maxvegetfrac[d=1,K=12]+maxvegetfrac[d=1,K=13])*Areas[d=1]*Contfrac[d=1]/1e12)" | "maxveget surface[pft=12,13] "  | "Mkm^2"  | "2"
+lai_lands      | "lai maxvegetfrac"|  ""               | "(lai[d=1,K=2:13]*maxvegetfrac[d=2,K=2:13])"  | "lai (LANDS)"      | "1"      | "2"
+nee_lands      | "nee maxvegetfrac" |  ""              | "(nee[d=1]*365*86400*maxvegetfrac[d=2]*Areas[d=1]*Contfrac[d=1]/1e15)"  | "Net Ecosystem Exchange"    | "PgC/yr" | "2"
+lai02_lands    | "lai"              |  ""              | "(lai[d=1,K=2])" | "lai (LANDS)"      | "1"      | "2"
+lai03_lands    | "lai"              |  ""              | "(lai[d=1,K=3])" | "lai (LANDS)"      | "1"      | "2"
+lai04_lands    | "lai"              |  ""              | "(lai[d=1,K=4])" | "lai (LANDS)"      | "1"      | "2"
+lai05_lands    | "lai"              |  ""              | "(lai[d=1,K=5])" | "lai (LANDS)"      | "1"      | "2"
+lai06_lands    | "lai"              |  ""              | "(lai[d=1,K=6])" | "lai (LANDS)"      | "1"      | "2"
+lai07_lands    | "lai"              |  ""              | "(lai[d=1,K=7])" | "lai (LANDS)"      | "1"      | "2"
+lai08_lands    | "lai"              |  ""              | "(lai[d=1,K=8])" | "lai (LANDS)"      | "1"      | "2"
+lai09_lands    | "lai"              |  ""              | "(lai[d=1,K=9])" | "lai (LANDS)"      | "1"      | "2"
+lai10_lands    | "lai"              |  ""              | "(lai[d=1,K=10])" | "lai (LANDS)"     | "1"      | "2"
+lai11_lands    | "lai"              |  ""              | "(lai[d=1,K=11])" | "lai (LANDS)"     | "1"      | "2"
+lai12_lands    | "lai"              |  ""              | "(lai[d=1,K=12])" | "lai (LANDS)"     | "1"      | "2"
+lai13_lands    | "lai"              |  ""              | "(lai[d=1,K=13])" | "lai (LANDS)"     | "1"      | "2"
+#------------------------------------------------------------------------------------------------------------------------------------------------------
Index: branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/POST/monitoring01_stomate.cfg
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/POST/monitoring01_stomate.cfg	(revision 7421)
+++ branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/POST/monitoring01_stomate.cfg	(revision 7421)
@@ -0,0 +1,79 @@
+##################################################################################################################
+# $HeadURL: svn://forge.ipsl.jussieu.fr/orchidee/branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2/POST/monitoring01_stomate.cfg $
+# $Date: 2018-02-12 12:52:39 +0100 (Mon, 12 Feb 2018) $
+# $Revision: 4970 $
+#
+#-----------------------------------------------------------------------------------------------------------------
+#  field | files patterns | files additionnal | operations | title | units | calcul of area
+#-----------------------------------------------------------------------------------------------------------------
+#
+#   field = name of the field to monitore 
+#   files patterns = pattern of the files used to monitore the field (must be discriminant) 
+#   files additionnal = additionnal files accessible by $FER_DATA
+#   operations = operations to calculate the field 
+#   title = variable title
+#   units = variable units
+#   calcul of area = expression to use for the weight average
+#
+# Notes:
+#   - Comment lines begin by # character.
+#   - Separator between fields is | character.
+#   - Operations must use the ferret syntax, if several files are used precise with the syntax d=x to refer to the x dataset.
+#     They must be enclosed by parenthesis if more than one variable is used.
+#   - files patterns,files additionnal,operations,title,units must be enclosed with character ". 
+#     Use "" if empty.
+#   - Fields will be presented through an html page with thumbnails global, north, south, land, ocean.
+#     Use a field name with one of these pattern to display it under the corresponding thumbnail.
+#
+##################################################################################################################
+
+color=EEE8AA
+smooth=12
+#------------------------------------------------------------------------------------------------------------------------------------------------------
+#  field | files patterns | files additionnal | operations | title | units | calcul of area
+#------------------------------------------------------------------------------------------------------------------------------------------------------
+woodharvest_fromforcing| "WOOD_HARVEST_PFT VEGET_COV_MAX"| "" | "(WOOD_HARVEST_PFT[d=1]*VEGET_COV_MAX[d=2]*AREAS[d=1]*CONTFRAC[d=1]*365/1e15)"| "Wood harvest read from file and prepared to be used"      | "PgC/yr"    | "2"
+fwoodharvest_lands     | "fWoodharvest"                  | "" | "fWoodharvest[d=1]*AREAS[d=1]*CONTFRAC[d=1]*86400*365*1000/1e15"              | "CO2 Flux from wood harvesting, positive from atm to land" | "PgC/yr"    | "2"
+fLuc_fHarvest_lands    | "CONVFLUX CFLUX_PROD10 CFLUX_PROD100 HARVEST_ABOVE"  | "" | "((CONVFLUX[d=1]+CFLUX_PROD10[d=2]+CFLUX_PROD100[d=3]+HARVEST_ABOVE[d=4])*AREAS[d=1]*CONTFRAC[d=1]*365/1e15)" | "CO2 flux from Land Use Change and Crop Harvesting" | "PgC/yr" | "2"
+fHarvest_lands         | "HARVEST_ABOVE"                 | "" | "((HARVEST_ABOVE[d=1])*AREAS[d=1]*CONTFRAC[d=1]*365/1e15)"                    | "CO2 flux from Land Use Change and Crop Harvesting"        | "PgC/yr" | "2"
+nbp_lands              | "nbp"                           | "" | "(nbp[d=1]*AREAS[d=1]*CONTFRAC[d=1]*86400*365/1e12)"                          | "Net Biospheric Production"                                | "PgC/yr" | "2"
+cSoil_lands            | "TOTAL_SOIL_CARB VEGET_COV_MAX" | "" | "(TOTAL_SOIL_CARB[d=1]*VEGET_COV_MAX[d=2]*AREAS[d=1]*CONTFRAC[d=1]/1e15)"     | "Carbon Soil in Pool"                                      | "PgC"    | "2"
+cVeg_lands             | "TOTAL_M VEGET_COV_MAX"         | "" | "(TOTAL_M[d=1]*VEGET_COV_MAX[d=2]*AREAS[d=1]*CONTFRAC[d=1]/1e15)"             | "Carbon in vegetation"                                     | "PgC"    | "2"
+npp_lands              | "NPP VEGET_COV_MAX"             | "" | "(NPP[d=1]*365*VEGET_COV_MAX[d=2]*AREAS[d=1]*CONTFRAC[d=1]/1e15)"             | "Net Primary Production"                                   | "PgC/yr" | "2"
+rh_lands               | "HET_RESP VEGET_COV_MAX"        | "" | "(HET_RESP[d=1]*365*VEGET_COV_MAX[d=2]*AREAS[d=1]*CONTFRAC[d=1]/1e15)"        | "Heterotrophic Respiration"                                | "PgC/yr" | "2"
+CONVFLUX_lands         | "CONVFLUX"                      | "" | "(CONVFLUX[d=1]*365*AREAS[d=1]*CONTFRAC[d=1]/1e15)"                   | "Annual release right after deforestation (LANDS)"            | "PgC/yr" | "2"
+CFLUX_PROD10_lands     | "CFLUX_PROD10"                  | "" | "(CFLUX_PROD10[d=1]*365*AREAS[d=1]*CONTFRAC[d=1]/1e15)"               | "Annual release from all 10 year wood product pools (LANDS)"  | "PgC/yr" | "2"
+CFLUX_PROD100_lands    | "CFLUX_PROD100"                 | "" | "(CFLUX_PROD100[d=1]*365*AREAS[d=1]*CONTFRAC[d=1]/1e15)"              | "Annual release from all 100 year wood product pools (LANDS)" | "PgC/yr" | "2"
+BIOMASS_lands          | "TOTAL_M VEGET_COV_MAX"         | "" | "(TOTAL_M[d=1]*VEGET_COV_MAX[d=2]*AREAS[d=1]*CONTFRAC[d=1]/1e15)"             | "Total Biomass (LANDS)"                               | "PgC"    | "2"
+LITTER_lands           | "TOTAL_BM_LITTER VEGET_COV_MAX" | "" | "(TOTAL_BM_LITTER[d=1]*365*VEGET_COV_MAX[d=2]*AREAS[d=1]*CONTFRAC[d=1]/1e15)" | "Biomass to Litter flux (LANDS)"                      | "PgC/yr" | "2"
+GPP_lands              | "GPP VEGET_COV_MAX"             | "" | "(GPP[d=1]*365*VEGET_COV_MAX[d=2]*AREAS[d=1]*CONTFRAC[d=1]/1e15)"             | "Gross Primary Produc (LANDS)"                        | "PgC/yr" | "2"
+MAINT_RESP_lands       | "MAINT_RESP VEGET_COV_MAX"      | "" | "(MAINT_RESP[d=1]*365*VEGET_COV_MAX[d=2]*AREAS[d=1]*CONTFRAC[d=1]/1e15)"      | "Maintenance Resp. (LANDS)"                           | "PgC/yr" | "2"
+GROWTH_RESP_lands      | "GROWTH_RESP VEGET_COV_MAX"     | "" | "(GROWTH_RESP[d=1]*365*VEGET_COV_MAX[d=2]*AREAS[d=1]*CONTFRAC[d=1]/1e15)"     | "Growth Resp. (LANDS)"                                | "PgC/yr" | "2"
+lai_lands              | "lai"                           | "" | "lai[d=1]" 	                                                              | "Leaf Area Fraction"   	                	      | "1"   	 | "Areas[d=1]*CONTFRAC[d=1]"
+treeFracPrimDec_lands  | "treeFracPrimDec"               | "" | "treeFracPrimDec[d=1]"                                                        | "Total Primary Deciduous Tree Cover Fraction"         | "%"   	 | "Areas[d=1]*CONTFRAC[d=1]"
+treeFracPrimEver_lands | "treeFracPrimEver"              | "" | "treeFracPrimEver[d=1]"                                                       | "Total Primary Evergreen Tree Cover Fraction"         | "%" 	 | "Areas[d=1]*CONTFRAC[d=1]"
+c3PftFrac_lands        | "c3PftFrac" 	                 | "" | "c3PftFrac[d=1]" 	                                                      | "Total C3 PFT Cover Fraction" 	 	              | "%" 	 | "Areas[d=1]*CONTFRAC[d=1]"
+c4PftFrac_lands        | "c4PftFrac" 	                 | "" | "c4PftFrac[d=1]" 	                                                      | "Total C4 PFT Cover Fraction" 		              | "%" 	 | "Areas[d=1]*CONTFRAC[d=1]"
+cProduct_lands         | "cProduct"           | "" | "(cProduct[d=1]*AREAS[d=1]*CONTFRAC[d=1]*1000/1e15)" 	            | "Carbon in Products of Land Use Change" 	               | "PgC"    | "2"
+fLuc_lands             | "fLuc"               | "" | "(fLuc[d=1]*AREAS[d=1]*CONTFRAC[d=1]*86400*365*1000/1e15)" 	    | "CO2 Flux to Atmosphere from Land Use Change"            | "PgC/yr" | "2"
+ra_lands               | "ra"                 | "" | "(ra[d=1]*AREAS[d=1]*CONTFRAC[d=1]*86400*365*1000/1e15)" 		    | "Autotrophic Respiration"			               | "PgC/yr" | "2"
+fVegLitter_lands       | "fVegLitter"         | "" | "(fVegLitter[d=1]*AREAS[d=1]*CONTFRAC[d=1]*86400*365*1000/1e15)" 	    | "Total Carbon Flux from Vegetation to Litter"            | "PgC/yr" | "2"
+fLitterSoil_lands      | "fLitterSoil"        | "" | "(fLitterSoil[d=1]*AREAS[d=1]*CONTFRAC[d=1]*86400*365*1000/1e15)"      | "Total Carbon Flux from Litter to Soil" 	               | "PgC/yr" | "2"
+cLeaf_lands            | "cLeaf"              | "" | "(cLeaf[d=1]*AREAS[d=1]*CONTFRAC[d=1]*1000/1e15)"                      | "Carbon in Leaves"                                       | "PgC"    | "2"
+cWood_lands            | "cWood"              | "" | "(cWood[d=1]*AREAS[d=1]*CONTFRAC[d=1]*1000/1e15)" 	                    | "Carbon in Wood" 			                       | "PgC"    | "2"
+cRoot_lands            | "cRoot"              | "" | "(cRoot[d=1]*AREAS[d=1]*CONTFRAC[d=1]*1000/1e15)" 	                    | "Carbon in Roots" 			               | "PgC"    | "2"
+cMisc_lands            | "cMisc"              | "" | "(cMisc[d=1]*AREAS[d=1]*CONTFRAC[d=1]*1000/1e15)" 	                    | "Carbon in Other Living Compartments" 	               | "PgC"    | "2"
+cLitterAbove_lands     | "cLitterAbove"       | "" | "(cLitterAbove[d=1]*AREAS[d=1]*CONTFRAC[d=1]*1000/1e15)"               | "Carbon in Above-Ground Litter" 	                       | "PgC"    | "2"
+cLitterBelow_lands     | "cLitterBelow"       | "" | "(cLitterBelow[d=1]*AREAS[d=1]*CONTFRAC[d=1]*1000/1e15)"               | "Carbon in Below-Ground Litter" 	                       | "PgC"    | "2"
+cSoilFast_lands        | "cSoilFast"          | "" | "(cSoilFast[d=1]*AREAS[d=1]*CONTFRAC[d=1]*1000/1e15)"                  | "Carbon in Fast Soil Pool" 		               | "PgC"    | "2"
+cSoilMedium_lands      | "cSoilMedium"        | "" | "(cSoilMedium[d=1]*AREAS[d=1]*CONTFRAC[d=1]*1000/1e15)"                | "Carbon in Medium Soil Pool" 		               | "PgC"    | "2"
+cSoilSlow_lands        | "cSoilSlow"          | "" | "(cSoilSlow[d=1]*AREAS[d=1]*CONTFRAC[d=1]*1000/1e15)"                  | "Carbon in Slow Soil Pool" 	    	               | "PgC"    | "2"
+nppLeaf_lands          | "nppLeaf" 	      | "" | "(nppLeaf[d=1]*AREAS[d=1]*CONTFRAC[d=1]*86400*365*1000/1e15)" 	    | "CO2 Flux from Atmosphere due to NPP Allocation to Leaf" | "PgC/yr" | "2"
+nppWood_lands          | "nppWood" 	      | "" | "(nppWood[d=1]*AREAS[d=1]*CONTFRAC[d=1]*86400*365*1000/1e15)" 	    | "CO2 Flux from Atmosphere due to NPP Allocation to Wood" | "PgC/yr" | "2"
+nppRoot_lands          | "nppRoot" 	      | "" | "(nppRoot[d=1]*AREAS[d=1]*CONTFRAC[d=1]*86400*365*1000/1e15)" 	    | "CO2 Flux from Atmosphere due to NPP Allocation to Root" | "PgC/yr" | "2"
+nep_lands              | "nep" 		      | "" | "(nep[d=1]*AREAS[d=1]*CONTFRAC[d=1]*86400*365*1000/1e15)" 	            | "Net Carbon Mass Flux out of Atmophere due to Net Ecosystem Productivity." | "PgC/yr" | "2"
+cMassVariation_lands   | "cMassVariation"     | "" | "(cMassVariation[d=1]*AREAS[d=1]*CONTFRAC[d=1]*86400*365*1000/1e15)"   | "Carbon Mass Variation"	                               | "PgC/yr" | "2"
+cBal_lands             | "cMassVariation nbp" | "" | "((cMassVariation[d=1,L=2:100000]-nbp[d=2,L=2:100000])*AREAS[d=1]*CONTFRAC[d=1]*86400*365*1000/1e15)" | "Total Carbon Balance"    | "PgC/yr" | "2"
+rGrowth_lands          | "rGrowth" 	      | "" | "(rGrowth[d=1]*AREAS[d=1]*CONTFRAC[d=1]*86400*365*1000/1e15)" 	    | "Growth Autotrophic Respiration" 		               | "PgC/yr" | "2"
+rMaint_lands           | "rMaint" 	      | "" | "(rMaint[d=1]*AREAS[d=1]*CONTFRAC[d=1]*86400*365*1000/1e15)" 	    | "Maintenance Autotrophic Respiration" 	               | "PgC/yr" | "2"
+#------------------------------------------------------------------------------------------------------------------------------------------------------
Index: branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/POST/monitoring01_stomate_DGVM.cfg
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/POST/monitoring01_stomate_DGVM.cfg	(revision 7421)
+++ branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/POST/monitoring01_stomate_DGVM.cfg	(revision 7421)
@@ -0,0 +1,116 @@
+#**************************************************************
+# Author: Patrick Brockmann
+# Contact: Patrick.Brockmann@cea.fr
+# $Date: 2016-08-01 13:04:18 +0200 (Mon, 01 Aug 2016) $
+# $Name$
+# $Revision: 3681 $
+# History:
+# Modification:
+#**************************************************************
+
+##################################################################################################################
+#-----------------------------------------------------------------------------------------------------------------
+#  field | files patterns | files additionnal | operations | title | units | calcul of area
+#-----------------------------------------------------------------------------------------------------------------
+#
+#   field = name of the field to monitore 
+#   files patterns = pattern of the files used to monitore the field (must be discriminant) 
+#   files additionnal = additionnal files accessible by $FER_DATA
+#   operations = operations to calculate the field 
+#   title = variable title
+#   units = variable units
+#   calcul of area = expression to use for the weight average
+#
+# Notes:
+#   - Comment lines begin by # character.
+#   - Separator between fields is | character.
+#   - Operations must use the ferret syntax, if several files are used precise with the syntax d=x to refer to the x dataset.
+#     They must be enclosed by parenthesis if more than one variable is used.
+#   - files patterns,files additionnal,operations,title,units must be enclosed with character ". 
+#     Use "" if empty.
+#   - Fields will be presented through an html page with thumbnails global, north, south, land, ocean.
+#     Use a field name with one of these pattern to display it under the corresponding thumbnail.
+#
+##################################################################################################################
+
+color=EEE8AA
+smooth=12
+#------------------------------------------------------------------------------------------------------------------------------------------------------
+#  field | files patterns | files additionnal | operations | title | units | calcul of area
+#------------------------------------------------------------------------------------------------------------------------------------------------------
+CONVFLUX_lands      | "CONVFLUX CONTFRAC"                  | "" | "(CONVFLUX[d=1]*AREAS[d=1]*CONTFRAC[d=2]/1e15)"                           | "Annual release right after deforestation (LANDS)"            | "PgC/yr" | "2"
+CFLUX_PROD10_lands  | "CFLUX_PROD10 CONTFRAC"              | "" | "(CFLUX_PROD10[d=1]*AREAS[d=1]*CONTFRAC[d=2]/1e15)"                       | "Annual release from all 10 year wood product pools (LANDS)"  | "PgC/yr" | "2"
+CFLUX_PROD100_lands | "CFLUX_PROD100 CONTFRAC"             | "" | "(CFLUX_PROD100[d=1]*AREAS[d=1]*CONTFRAC[d=2]/1e15)"                      | "Annual release from all 100 year wood product pools (LANDS)" | "PgC/yr" | "2"
+HARVEST_ABOVE_lands | "HARVEST_ABOVE CONTFRAC"             | "" | "(HARVEST_ABOVE[d=1]*AREAS[d=1]*CONTFRAC[d=2]/1e15)"                      | "Annual release product after harvest (LANDS)"                | "PgC/yr" | "2"
+SOIL_CARB_lands     | "TOTAL_SOIL_CARB VEGET_MAX CONTFRAC" | "" | "(TOTAL_SOIL_CARB[d=1]*VEGET_MAX[d=2]*AREAS[d=1]*CONTFRAC[d=3]/1e15)"     | "Total Soil Carbon (LANDS)"                                   | "PgC"    | "2"
+BIOMASS_lands       | "TOTAL_M VEGET_MAX CONTFRAC"         | "" | "(TOTAL_M[d=1]*VEGET_MAX[d=2]*AREAS[d=1]*CONTFRAC[d=3]/1e15)"             | "Total Biomass (LANDS)"                                       | "PgC"    | "2"
+LITTER_lands        | "TOTAL_BM_LITTER VEGET_MAX CONTFRAC" | "" | "(TOTAL_BM_LITTER[d=1]*365*VEGET_MAX[d=2]*AREAS[d=1]*CONTFRAC[d=3]/1e15)" | "Total Litter (LANDS)"                                        | "PgC/yr" | "2"
+CO2FLUX_MONTHLY_SUM_lands | "CO2FLUX_MONTHLY_SUM VEGET_MAX CONTFRAC" | "" | "(CO2FLUX_MONTHLY_SUM[d=1]*12)"                                 | "NEE Sum (LANDS)"                                             | "PgC/yr" | "Areas[d=1]"
+NPP_lands           | "NPP VEGET_MAX CONTFRAC"             | "" | "(NPP[d=1]*365*VEGET_MAX[d=2]*AREAS[d=1]*CONTFRAC[d=3]/1e15)"             | "Net Primary Produc (LANDS)"                                  | "PgC/yr" | "2"
+GPP_lands           | "GPP VEGET_MAX CONTFRAC"             | "" | "(GPP[d=1]*365*VEGET_MAX[d=2]*AREAS[d=1]*CONTFRAC[d=3]/1e15)"             | "Gross Primary Produc (LANDS)"                                | "PgC/yr" | "2"
+HET_RESP_lands      | "HET_RESP VEGET_MAX CONTFRAC"        | "" | "(HET_RESP[d=1]*365*VEGET_MAX[d=2]*AREAS[d=1]*CONTFRAC[d=3]/1e15)"        | "Heterotr. Resp. (LANDS)"                                     | "PgC/yr" | "2"
+MAINT_RESP_lands    | "MAINT_RESP VEGET_MAX CONTFRAC"      | "" | "(MAINT_RESP[d=1]*365*VEGET_MAX[d=2]*AREAS[d=1]*CONTFRAC[d=3]/1e15)"      | "Maintenance Resp. (LANDS)"                                   | "PgC/yr" | "2"
+GROWTH_RESP_lands   | "GROWTH_RESP VEGET_MAX CONTFRAC"     | "" | "(GROWTH_RESP[d=1]*365*VEGET_MAX[d=2]*AREAS[d=1]*CONTFRAC[d=3]/1e15)"     | "Growth Resp. (LANDS)"                                        | "PgC/yr" | "2"
+cVeg_lands             | "cVeg"             | "" | "(cVeg[d=1])"            | "Carbon in Vegetation"			    | "kg C m-2" | "Areas[d=1]"
+cLitter_lands          | "cLitter"          | "" | "(cLitter[d=1])" 	    | "Carbon in Litter Pool" 			    | "kg C m-2" | "Areas[d=1]"
+cSoil_lands            | "cSoil"            | "" | "(cSoil[d=1])" 	    | "Carbon in Soil Pool" 			    | "kg C m-2" | "Areas[d=1]"
+cProduct_lands         | "cProduct"         | "" | "(cProduct[d=1])" 	    | "Carbon in Products of Land Use Change" 	    | "kg C m-2" | "Areas[d=1]"
+lai_lands              | "lai"              | "" | "(lai[d=1])" 	    | "Leaf Area Fraction"   	     		    | "1"   	 | "Areas[d=1]"
+gpp_lands              | "gpp"              | "" | "(gpp[d=1])" 	    | "Gross Primary Production" 		    | "kg C m-2 s-1" | "Areas[d=1]"
+ra_lands               | "ra"               | "" | "(ra[d=1])" 		    | "Autotrophic Respiration"			    | "kg C m-2 s-1" | "Areas[d=1]"
+npp_lands              | "npp"              | "" | "(npp[d=1])" 	    | "Net Primary Production" 			    | "kg C m-2 s-1" | "Areas[d=1]"
+rh_lands               | "rh"               | "" | "(rh[d=1])" 		    | "Heterotrophic Respiration" 		    | "kg C m-2 s-1" | "Areas[d=1]"
+fFire_lands            | "fFire"            | "" | "(fFire[d=1])" 	    | "CO2 Emission from Fire" 			    | "kg C m-2 s-1" | "Areas[d=1]"
+fHarvest_lands         | "fHarvest"         | "" | "(fHarvest[d=1])" 	    | "CO2 Flux to Atmosphere from Crop Harvesting" | "kg C m-2 s-1" | "Areas[d=1]"
+fLuc_lands             | "fLuc"             | "" | "(fLuc[d=1])" 	    | "CO2 Flux to Atmosphere from Land Use Change" | "kg C m-2 s-1" | "Areas[d=1]"
+nbp_lands              | "nbp"              | "" | "(nbp[d=1])" 	    | "Net Biospheric Production"      	   	    | "kg C m-2 s-1" | "Areas[d=1]"
+fVegLitter_lands       | "fVegLitter"       | "" | "(fVegLitter[d=1])" 	    | "Total Carbon Flux from Vegetation to Litter" | "kg C m-2 s-1" | "Areas[d=1]"
+fLitterSoil_lands      | "fLitterSoil"      | "" | "(fLitterSoil[d=1])"     | "Total Carbon Flux from Litter to Soil" 	    | "kg C m-2 s-1" | "Areas[d=1]"
+cLeaf_lands            | "cLeaf"            | "" | "(cLeaf[d=1])" 	    | "Carbon in Leaves"      	       		    | "kg C m-2" | "Areas[d=1]"
+cWood_lands            | "cWood"            | "" | "(cWood[d=1])" 	    | "Carbon in Wood" 				    | "kg C m-2" | "Areas[d=1]"
+cRoot_lands            | "cRoot"            | "" | "(cRoot[d=1])" 	    | "Carbon in Roots" 			    | "kg C m-2" | "Areas[d=1]"
+cMisc_lands            | "cMisc"            | "" | "(cMisc[d=1])" 	    | "Carbon in Other Living Compartments" 	    | "kg C m-2" | "Areas[d=1]"
+cLitterAbove_lands     | "cLitterAbove"     | "" | "(cLitterAbove[d=1])"    | "Carbon in Above-Ground Litter" 		    | "kg C m-2" | "Areas[d=1]"
+cLitterBelow_lands     | "cLitterBelow"     | "" | "(cLitterBelow[d=1])"    | "Carbon in Below-Ground Litter" 		    | "kg C m-2" | "Areas[d=1]"
+cSoilFast_lands        | "cSoilFast"        | "" | "(cSoilFast[d=1])" 	    | "Carbon in Fast Soil Pool" 		    | "kg C m-2" | "Areas[d=1]"
+cSoilMedium_lands      | "cSoilMedium"      | "" | "(cSoilMedium[d=1])"     | "Carbon in Medium Soil Pool" 		    | "kg C m-2" | "Areas[d=1]"
+cSoilSlow_lands        | "cSoilSlow"        | "" | "(cSoilSlow[d=1])" 	    | "Carbon in Slow Soil Pool" 		    | "kg C m-2" | "Areas[d=1]"
+treeFracPrimDec_lands  | "treeFracPrimDec"  | "" | "(treeFracPrimDec[d=1])" | "Total Primary Deciduous Tree Cover Fraction" | "%"   	| "Areas[d=1]"
+treeFracPrimEver_lands | "treeFracPrimEver" | "" | "(treeFracPrimEver[d=1])"| "Total Primary Evergreen Tree Cover Fraction" | "%" 	| "Areas[d=1]"
+c3PftFrac_lands        | "c3PftFrac" 	    | "" | "(c3PftFrac[d=1])" 	    | "Total C3 PFT Cover Fraction" 	 	    | "%" 	| "Areas[d=1]"
+c4PftFrac_lands        | "c4PftFrac" 	    | "" | "(c4PftFrac[d=1])" 	    | "Total C4 PFT Cover Fraction" 		    | "%" 	| "Areas[d=1]"
+rGrowth_lands          | "rGrowth" 	    | "" | "(rGrowth[d=1])" 	    | "Growth Autotrophic Respiration" 		    | "kg C m-2 s-1" | "Areas[d=1]"
+rMaint_lands           | "rMaint" 	    | "" | "(rMaint[d=1])" 	    | "Maintenance Autotrophic Respiration" 	    | "kg C m-2 s-1" | "Areas[d=1]"
+nppLeaf_lands          | "nppLeaf" 	    | "" | "(nppLeaf[d=1])" 	    | "CO2 Flux from Atmosphere due to NPP Allocation to Leaf" | "kg C m-2 s-1" | "Areas[d=1]"
+nppWood_lands          | "nppWood" 	    | "" | "(nppWood[d=1])" 	    | "CO2 Flux from Atmosphere due to NPP Allocation to Wood" | "kg C m-2 s-1" | "Areas[d=1]"
+nppRoot_lands          | "nppRoot" 	    | "" | "(nppRoot[d=1])" 	    | "CO2 Flux from Atmosphere due to NPP Allocation to Root" | "kg C m-2 s-1" | "Areas[d=1]"
+nep_lands              | "nep" 		    | "" | "(nep[d=1])" 	    | "Net Carbon Mass Flux out of Atmophere due to Net Ecosystem Productivity." | "kg C m-2 s-1" | "Areas[d=1]"
+cMassVariation_lands     | "cMassVariation"     | "" | "(cMassVariation[d=1])"    | "Carbon Mass Variation"			    | "kg C m-2 s-1" | "Areas[d=1]"
+cBal_lands             | "cMassVariation nbp" | "" | "(cMassVariation[d=1,L=2:1000]-nbp[d=2,L=2:1000])" | "Total Carbon Balance"		    | "kg C m-2 s-1" | "Areas[d=1]"
+ADAPTATION01_lands       | "ADAPTATION"       | "" | "(ADAPTATION[d=1,k=1])"      | "Adaptation to climate (DGVM)"                | "-" | "2"
+ADAPTATION02_lands       | "ADAPTATION"       | "" | "(ADAPTATION[d=1,k=2])"      | "Adaptation to climate (DGVM)"                | "-" | "2"
+ADAPTATION03_lands       | "ADAPTATION"       | "" | "(ADAPTATION[d=1,k=3])"      | "Adaptation to climate (DGVM)"                | "-" | "2"
+ADAPTATION04_lands       | "ADAPTATION"       | "" | "(ADAPTATION[d=1,k=4])"      | "Adaptation to climate (DGVM)"                | "-" | "2"
+ADAPTATION05_lands       | "ADAPTATION"       | "" | "(ADAPTATION[d=1,k=5])"      | "Adaptation to climate (DGVM)"                | "-" | "2"
+ADAPTATION06_lands       | "ADAPTATION"       | "" | "(ADAPTATION[d=1,k=6])"      | "Adaptation to climate (DGVM)"                | "-" | "2"
+ADAPTATION07_lands       | "ADAPTATION"       | "" | "(ADAPTATION[d=1,k=7])"      | "Adaptation to climate (DGVM)"                | "-" | "2"
+ADAPTATION08_lands       | "ADAPTATION"       | "" | "(ADAPTATION[d=1,k=8])"      | "Adaptation to climate (DGVM)"                | "-" | "2"
+ADAPTATION09_lands       | "ADAPTATION"       | "" | "(ADAPTATION[d=1,k=9])"      | "Adaptation to climate (DGVM)"                | "-" | "2"
+ADAPTATION10_lands       | "ADAPTATION"       | "" | "(ADAPTATION[d=1,k=10])"      | "Adaptation to climate (DGVM)"                | "-" | "2"
+ADAPTATION11_lands       | "ADAPTATION"       | "" | "(ADAPTATION[d=1,k=11])"      | "Adaptation to climate (DGVM)"                | "-" | "2"
+ADAPTATION12_lands       | "ADAPTATION"       | "" | "(ADAPTATION[d=1,k=12])"      | "Adaptation to climate (DGVM)"                | "-" | "2"
+ADAPTATION13_lands       | "ADAPTATION"       | "" | "(ADAPTATION[d=1,k=13])"      | "Adaptation to climate (DGVM)"                | "-" | "2"
+REGENERATION01_lands     | "REGENERATION"     | "" | "(REGENERATION[d=1,k=1])"    | "Probability from regenerative (DGVM)"        | "-" | "2"
+REGENERATION02_lands     | "REGENERATION"     | "" | "(REGENERATION[d=1,k=2])"    | "Probability from regenerative (DGVM)"        | "-" | "2"
+REGENERATION03_lands     | "REGENERATION"     | "" | "(REGENERATION[d=1,k=3])"    | "Probability from regenerative (DGVM)"        | "-" | "2"
+REGENERATION04_lands     | "REGENERATION"     | "" | "(REGENERATION[d=1,k=4])"    | "Probability from regenerative (DGVM)"        | "-" | "2"
+REGENERATION05_lands     | "REGENERATION"     | "" | "(REGENERATION[d=1,k=5])"    | "Probability from regenerative (DGVM)"        | "-" | "2"
+REGENERATION06_lands     | "REGENERATION"     | "" | "(REGENERATION[d=1,k=6])"    | "Probability from regenerative (DGVM)"        | "-" | "2"
+REGENERATION07_lands     | "REGENERATION"     | "" | "(REGENERATION[d=1,k=7])"    | "Probability from regenerative (DGVM)"        | "-" | "2"
+REGENERATION08_lands     | "REGENERATION"     | "" | "(REGENERATION[d=1,k=8])"    | "Probability from regenerative (DGVM)"        | "-" | "2"
+REGENERATION09_lands     | "REGENERATION"     | "" | "(REGENERATION[d=1,k=9])"    | "Probability from regenerative (DGVM)"        | "-" | "2"
+REGENERATION10_lands     | "REGENERATION"     | "" | "(REGENERATION[d=1,k=10])"    | "Probability from regenerative (DGVM)"        | "-" | "2"
+REGENERATION11_lands     | "REGENERATION"     | "" | "(REGENERATION[d=1,k=11])"    | "Probability from regenerative (DGVM)"        | "-" | "2"
+REGENERATION12_lands     | "REGENERATION"     | "" | "(REGENERATION[d=1,k=12])"    | "Probability from regenerative (DGVM)"        | "-" | "2"
+REGENERATION13_lands     | "REGENERATION"     | "" | "(REGENERATION[d=1,k=13])"    | "Probability from regenerative (DGVM)"        | "-" | "2"
+#------------------------------------------------------------------------------------------------------------------------------------------------------
Index: branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/config.card
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/config.card	(revision 7421)
+++ branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG2nd/config.card	(revision 7421)
@@ -0,0 +1,129 @@
+# $HeadURL$
+# $Date$
+# $Revision$
+#
+#========================================================================
+#D-- Compatibility -
+[Compatibility]
+libIGCM=1.0
+
+#========================================================================
+#D-- UserChoices -
+[UserChoices]
+#============================
+#-- Output will be stored in IGCM_OUT/TagName/SpaceName/ExperimentName/JobName
+JobName=FG2nd
+#----- LongName : Some words describing the experiment. LongName will be added in all output files produced by XIOS.
+LongName="Ref config with new driver, CRUJRA2.2 twodeg, and VEGET_UPDATE=1Y"
+TagName=OL2
+#------ SpaceName = DEVT/TEST/PROD
+SpaceName=TEST
+#----- ExperimentName : Short Name of Experiment
+ExperimentName=secsto
+#============================
+#-- leap(gregorian), noleap, 360d
+CalendarType=noleap
+#-- Start and End of Job
+#-- "YYYY-MM-DD"
+DateBegin=1901-01-01
+DateEnd=2001-12-31
+#============================
+#-- 1Y, 1M, 5D, 1D
+PeriodLength=1Y
+
+#========================================================================
+#D-- ListOfComponents -
+[ListOfComponents]
+#D- For each component: (Component name, tag/version name)
+SRF= (sechiba, orchidee)
+SBG= (stomate, orchidee)
+OOL= (orchideedriver, orchidee)
+IOS= (xios, XIOS)
+
+#========================================================================
+#D-- Executable -
+[Executable]
+#D- For each component: 
+#D  (Real executable name, temorary name during run, number of process MPI)
+SRF= ("", "")
+SBG= ("", "")
+OOL= (orchideedriver, orchideedriver, 31MPI)
+IOS= (xios_server.exe, xios.x, 1MPI)
+
+#========================================================================
+#D-- Restarts -
+[Restarts]
+#D- OverRule=y : All component will restart from the same simulation
+OverRule=n
+#D- Date of restart file to be used
+RestartDate=1900-12-31
+#D- JobName for the restart file
+RestartJobName=FG1trans
+#D- Path to directory where the RestartJobName directory is stored
+#D- NB! ${ARCHIVE} depend on login. The full path can also be set
+RestartPath=${ARCHIVE}/IGCM_OUT/OL2/PROD/secsto
+
+#========================================================================
+#D-- Post -
+[Post]
+#D- Do we archive the output text files and restart files?
+#D- frequency to create the archives (by default RebuildFrequency)
+PackFrequency=10Y
+#D- Frequency of rebuild submission. Only set NONE if running with 1 XIOS server
+RebuildFrequency=NONE
+#D- If you want to produce time series, this flag determines
+#D- frequency of post-processing submission
+TimeSeriesFrequency=10Y
+#D- Activate IgnoreNonMonotonic only when cycling over the same forcing files as for a spin up. 
+IgnoreNonMonotonic=FALSE
+#D- If you want to produce seasonal average, this flag determines
+#D- the period of this average
+SeasonalFrequency=10Y
+#D- Offset for seasonal average first start dates ; same unit as SeasonalFrequency
+#D- Usefull if you do not want to consider the first X simulation's years
+SeasonalFrequencyOffset= 0
+#D- If you want to produce compute PCMDI metrics from seasonal average
+#D- Set TRUE or FALSE to activate/deactivate the metrics computation.
+MetricsPCMDI=FALSE
+
+#========================================================================
+#D-- SRF - SECHIBA
+# Use this section to start from restart file for SRF if OverRule=n
+# WriteFrequency is not used any more for ORCHIDEE 
+# Output files are now managed in sechiba.card 
+[SRF]
+WriteFrequency=""
+Restart=n
+RestartDate=...
+RestartJobName=...
+RestartPath=...
+#========================================================================
+#D-- SBG - STOMATE
+# Use this section to start from restart file for SBG if OverRule=n
+# WriteFrequency is not used any more for ORCHIDEE 
+# Output files are now managed in stomate.card 
+[SBG]
+WriteFrequency=""
+Restart=n
+RestartDate=...
+RestartJobName=...
+RestartPath=...
+#========================================================================
+#D-- OOL - Offline driver
+# There is no need to change this section
+[OOL]
+WriteFrequency=""
+Restart=n
+RestartDate=...
+RestartJobName=...
+RestartPath=...
+#========================================================================
+#D-- IOS - XIOS
+# There is no need to change this section
+[IOS]
+WriteFrequency=""
+Restart=n
+RestartDate=...
+RestartJobName=...
+RestartPath=...
+#========================================================================
Index: branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG3/config.card
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG3/config.card	(revision 7364)
+++ branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG3/config.card	(revision 7421)
@@ -15,5 +15,5 @@
 JobName=FG3
 #----- LongName : Some words describing the experiment. LongName will be added in all output files produced by XIOS.
-LongName=""
+LongName="Ref config with old driver, WFDEI/v1 halfdeg, and VEGET_UPDATE=1Y"
 TagName=OL2
 #------ SpaceName = DEVT/TEST/PROD
Index: branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG3nd/PARAM/run.def
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG3nd/PARAM/run.def	(revision 7364)
+++ branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG3nd/PARAM/run.def	(revision 7421)
@@ -21,13 +21,12 @@
 END_DATE = _AUTO_ 
 DT_SECHIBA = 1800
-FORCING_FILE = forcing_yearm1.nc forcing_year.nc forcing_yearp1.nc
+#FORCING_FILE = forcing_yearm1.nc forcing_year.nc forcing_yearp1.nc
 #
 # Domain description file
 #
 GRID_FILE = NONE
-WEST_EAST = -180.0, 180.0
-SOUTH_NORTH = -90.0, 90.0
-SPRED_PREC_SEC = 3600
-
+#WEST_EAST = -180.0, 180.0
+#SOUTH_NORTH = -90.0, 90.0
+#SPREAD_PREC_SEC = 3600 # The default is half the forcing time step
 
 #
@@ -40,5 +39,4 @@
 # (default full lenght of forcing file)
 TIME_LENGTH = _AUTO_
-
 
 # If DRIVER_reset_time=y, read the year from forcing file instead of taking it from restart file (default n)
Index: branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG3nd/config.card
===================================================================
--- branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG3nd/config.card	(revision 7364)
+++ branches/ORCHIDEE_2_2/ORCHIDEE_OL/OOL_SEC_STO_FG3nd/config.card	(revision 7421)
@@ -15,5 +15,5 @@
 JobName=FG3nd
 #----- LongName : Some words describing the experiment. LongName will be added in all output files produced by XIOS.
-LongName="Reference simulation for New Driver"
+LongName="Ref config with new driver, WFDEI/v2 halfdeg, and VEGET_UPDATE=1Y"
 TagName=OL2
 #------ SpaceName = DEVT/TEST/PROD
